[MASTER] package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade: Kernel fix for CVE-2010-3081 breaks fglrx

Bug #642518 reported by Matt G on 2010-09-19
This bug affects 296 people
Affects Status Importance Assigned to Milestone
fglrx-installer (Ubuntu)
High
Alberto Milone
Hardy
High
Unassigned
Jaunty
High
Alberto Milone
Karmic
High
Alberto Milone
Lucid
High
Alberto Milone
linux-restricted-modules-2.6.24 (Ubuntu)
High
Unassigned
Hardy
High
Stefan Bader
Jaunty
Undecided
Unassigned
Karmic
Undecided
Unassigned
Lucid
Undecided
Unassigned
linux-restricted-modules-envy-2.6.24 (Ubuntu)
High
Alberto Milone
Hardy
High
Alberto Milone
Jaunty
Undecided
Unassigned
Karmic
Undecided
Unassigned
Lucid
Undecided
Unassigned

Bug Description

SRU Justification:

Impact: Due to kernel changes for CVE-2010-3081 a function that was an inline before has changed to a GPL only function. The fglrx driver cannot link against this and fails to compile. In fglrx only the old inlines (which have been renamed) may be used but those would lack the additional checks.

Fix: Add code to detect whether the fglrx driver is compiled against a kernel which has this change and use the old inlines in this case. Add the additional checks from the CVE to the driver wrapper, so the hardening is done in any case.

Testcase: Compile of 64bit fglrx driver fails with an error without this change.

---

will not compile for this version of the linux kernal

ProblemType: Package
DistroRelease: Ubuntu 10.04
Package: fglrx 2:8.723.1-0ubuntu4
ProcVersionSignature: Ubuntu 2.6.32-24.43-generic 2.6.32.15+drm33.5
Uname: Linux 2.6.32-24-generic x86_64
NonfreeKernelModules: wl
Architecture: amd64
Date: Sat Sep 18 23:31:16 2010
DkmsStatus:
 fglrx, 8.723.1: added
 bcmwl, 5.60.48.36+bdcom, 2.6.32-24-generic, x86_64: installed
 vboxnetflt, 3.2.8, 2.6.32-24-generic, x86_64: installed
 vboxnetadp, 3.2.8, 2.6.32-24-generic, x86_64: installed
 vboxdrv, 3.2.8, 2.6.32-24-generic, x86_64: installed
ErrorMessage: fglrx kernel module failed to build
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
MachineType: Dell Inc. Studio 1558
PackageVersion: 2:8.723.1-0ubuntu4
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-24-generic root=UUID=b11bf21b-cde8-40dd-968b-af47e2d36186 ro quiet splash
SourcePackage: fglrx-installer
Title: package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade: fglrx kernel module failed to build
dmi.bios.date: 01/08/2010
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A03
dmi.board.name: 0NJWJR
dmi.board.vendor: Dell Inc.
dmi.board.version: A03
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: A03
dmi.modalias: dmi:bvnDellInc.:bvrA03:bd01/08/2010:svnDellInc.:pnStudio1558:pvrA03:rvnDellInc.:rn0NJWJR:rvrA03:cvnDellInc.:ct8:cvrA03:
dmi.product.name: Studio 1558
dmi.product.version: A03
dmi.sys.vendor: Dell Inc.
system:
 distro: Ubuntu
 codename: lucid
 architecture: x86_64
 kernel: 2.6.32-24-generic

Matt G (mgiovine) wrote :
Lumenary (nx-kadams) wrote :

Upgrading to kernel

........ 2.6.32-24-generic_2.6.32-24.43_amd64

definitely breaks

........ fglrx_2:8.723.1-0ubuntu4_amd64

from the Canonical official Lucid repository and these versions from the Ubuntu X-Swat PPA:

........ fglrx_2:8.753-0ubuntu0sarvatt~lucid_amd64
........ fglrx_2:8.762-0ubuntu0sarvatt~lucid_amd64
........ fglrx_2:8.771-0ubuntu0sarvatt~lucid_amd64

All of the above versions of the ATi restricted/proprietary drivers worked under kernel

........ 2.6.32-24-generic_2.6.32-24.42_amd64

and earlier.

DKMS make logs to follow.

Lumenary (nx-kadams) wrote :

DKMS make.log for fglrx_2:8.723.1-0ubuntu4_amd64

Evan Broder (broder) on 2010-09-19
Changed in fglrx-installer (Ubuntu):
assignee: nobody → Evan Broder (broder)
status: New → In Progress
Lumenary (nx-kadams) wrote :

DKMS make log for fglrx_2:8.762-0ubuntu0sarvatt~lucid_amd64 (Ubuntu X-Swat PPA)

Evan Broder (broder) wrote :

This may be ever so slightly tricky. CVE-2010-3081 was a bug in compat_alloc_user_space, which is the function that compilation is erroring out on.

Previously, compat_alloc_user_space was implemented per-architecture, but after the patch, the per-architecture function was renamed to arch_compat_alloc_user_space, and a new function compat_alloc_user_space wraps arch_compat_alloc_user_space.

Unfortunately, though, whoever wrote this patch decided that the new compat_alloc_user_space would be exported as a GPL-only symbol, and fglrx is obviously not a GPL module, which means it's not allowed to use the new compat_alloc_user_space symbol.

Evan Broder (broder) wrote :

There was a thread about this interaction between compat_alloc_user_space and fglrx on the LKML: http://marc.info/?l=linux-kernel&m=128477416507390&w=2, although the replies don't suggest a particularly good fix other than getting help from ATI.

Evan Broder (broder) wrote :

Well, here's one option. Since CVE-2010-3081 was about not checking access_ok() on the return value from (arch_)compat_alloc_user_space, we can add that check to KCL_IOCTL_AllocUserSpace32, use arch_compat_alloc_user_space, and side-step the GPL-only-ness of compat_alloc_user_space. It's not pretty, and could be dangerous if there are future security-related changes to the new compat_alloc_user_space.

This patch re-writes KCL_IOCTL_AllocUserSpace32 to use arch_compat_alloc_user_space and check access_ok(). Currently it will only compile on kernels with the CVE-2010-3081 patch; it would need to be tweaked to use compat_alloc_user_space if arch_compat_alloc_user_space isn't defined.

Changed in fglrx-installer (Ubuntu):
status: In Progress → Confirmed
assignee: Evan Broder (broder) → nobody
Evan Broder (broder) on 2010-09-19
Changed in fglrx-installer (Ubuntu):
importance: Undecided → High
Qihe Bian (ufosky) wrote :

--- kcl_ioctl.c.old 2010-09-15 16:38:39.399690030 +0200
+++ kcl_ioctl.c 2010-09-15 16:39:55.632689146 +0200
@@ -193,7 +193,7 @@
  */
 void* ATI_API_CALL KCL_IOCTL_AllocUserSpace32(long size)
 {
- return compat_alloc_user_space(size);
+ return KCL_IOCTL_AllocUserSpace32(size);
 }

 #endif // __x86_64__

Find the file /usr/src/fglrx-{version}/kcl_ioctl.c and do the change above,then reinstall your linux image package or fglrx-* package but not fglrx. Now reboot your system it will be ok.

But I can't understand why the function KCL_IOCTL_AllocUserSpace32(long size) call itself without any condition.Will it make infinite call?

Anders Kaseorg (andersk) wrote :

Qihe: You are correct, that is an infinite loop. Use Evan’s patch instead.

Evan: You forgot to add the patch to dkms.conf.in, though. (You probably want to use a clever PATCH_MATCH regex that applies it only for kernels that have arch_compat_alloc_user_space.)

Evan Broder (broder) wrote :

New version of the patch. General idea is the same, but this one detects at build-time whether it's running on a pre-CVE-2010-3081 or post-CVE-2010-3081 kernel, and chooses between compat_alloc_user_space and arch_compat_alloc_user_space appropriately.

(As an extra feature, if you're on a pre-CVE-2010-3081 kernel, fglrx will now be shielded from the vulnerability at that particular call site)

Evan Broder (broder) wrote :

Oh, and to reply to Anders' comments, the patch was added to dkms.conf.in. It's at the very top of the debdiff, and is easy to miss. And I can't use PATCH_MATCH in this particular fix, because PATCH_MATCH matches on `uname -r`, which could be anything, since the fix for this CVE hit a bunch of stable releases.

Jace Prince (snow4dayz) wrote :

Evan:

I used your patch: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/642518/+attachment/1607184/+files/fglrx-installer_8.723.1-0ubuntu5.debdiff

Everything works nicely. You can further install the ATI control panel if desired with the ATI installer from their respective website. Just do not have it install the driver and everything is golden.

Aaron (soulblade) wrote :

Rolling back to the following packages resolves the issue for me:

linux-headers-2.6.32-23
linux-headers-2.6.32-23-generic
linux-image-2.6.32-23-generic

Since 2.6.32-23 works and 2.6.32-24 does not. Is this a regression introduce by Linux 2.6.32-24 rather than the drivers?

I have done some tests with the results below:

ATI 10.9 + 2.6.32-24 = Error
ATI 10.9 + 2.6.32-23 = No issue
ATI 10.5 + 2.6.32-24 = Error
ATI 10.5 + 2.6.32-23 = No issue
8.723-1 + 2.6.23-24 = Error
8.723-1 + 2.6.23-23 = No issue

Luc Bruninx (luc2005) wrote :

I used this patch too.

It works perfectly.

For less experienced users, the following commands to apply the patch:

# In your home directory...

# to apply patch, if not already installed...
sudo apt-get install build-essential fakeroot devscripts

# In your home directory...
mkdir fglrx-installer
cd fglrx-installer

# download patch
wget https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/642518/+attachment/1607184/+files/fglrx-installer_8.723.1-0ubuntu5.debdiff

# get sources
apt-get source fglrx

# get depends
sudo apt-get build-dep fglrx

# patch it...
cd fglrx-installer*-* && patch -p1 < ../fglrx-installer_8.723.1-0ubuntu5.debdiff

# rebuild..
debuild -uc -us

# to install patched files..
sudo dpkg -i ../fglrx*.deb

I used this method and it works for me now!

http://<email address hidden>/msg2514536.html

Ufuk (ufukkilicaslan) wrote :

I also have no issue with ATI 10.9 + 2.6.32-23 or ATI 10.8 + 2.6.32-23 kernel. Does the patch only works for the fglrx version from Ubuntu repositories? Is there a workaround for the problem due to 2.6.32-24 kernel? Maybe we can generate packages with ATI 10.9 driver instead of installing driver directly than use the same patch for this driver?

Jonathan Windham (jon2kx) wrote :

i was wondering is this version of fglrx able to run RS100-->RS700 in xorg7.5? If so i'll be a patching.

Ricardo (ricardo-rios-libero) wrote :

I have patched the fglrx package as indicated by Luc Bruninx and it worked fine for me.
Will this patch work also on new kernels? or should I avoid to upgrade the kernel since the bug is fixed?
Thanks
Ricardo

tags: added: patch
Philippe Lefevre (ph-l) wrote :

Not for me unfortunately. I have patched the fglrx package as indicated by Luc Bruninx the reboot.
At startup, the X server hang and doesn't start. (I must electricaly stop the machine and reboot in rescue mode)
Apparently I had no problem in making and installing packages and the module is in place under /lib/modules/2.6.32-24-generic/updates/dkms :
-rw-r--r-- 1 root root 3387640 2010-09-19 21:20 fglrx.ko
I join my xorg log and xorg.conf.

Philippe Lefevre (ph-l) wrote :
Philippe Lefevre (ph-l) wrote :
Philippe Lefevre (ph-l) wrote :
Evan Broder (broder) wrote :

Philippe: If the fglrx package successfully built, then you're running into a different bug. Please file a separate bug so that we can keep this bug focused on a specific problem. You can find more information on filing bugs at https://wiki.ubuntu.com/ReportingBugs

Luc Bruninx (luc2005) wrote :

Note that the original patch was proposed by Evan Broder.

I just indicated how to apply it more easily.

For safety, it is possible to lock the version of the fglrx packages until the patch is added to the usual update.

In principle, the patch makes the difference between the preceding and following kernels CVE-2010-3081 (2.6.32-24.43).

For the problem reported by Philippe Lefebvre, it is possible that DKMS can not correctly compile the new module fglrx because the files from the old version are still present.

Note that Catalyst overwrites or diverts some libraries with proprietary versions (Troubleshooting when -fglrx Interferes with -radeon Driver - https://wiki.ubuntu.com/X/Troubleshooting/FglrxInteferesWithRadeonDriver ).

Check DKMSBuildLog.

Check version numbers.

Johnny (sk8rdie42) wrote :

Thanks to Luc Bruninx for posting the step by step, as I am also now inspired to get get a bit smarter about the Debian package management system... I need more free time in my life for these kinds of things.

Also, I encountered this issue after blanket upgrading what the upgrade manager said was ready and that included the linux-image package for 2.6.32-25-generic #44-Ubuntu SMP Fri Sep 17 20:05:27 UTC 2010 x86_64, so to Ricardo's question it seems like the answer is yes.

Randy (rbrickler) wrote :

Thank's to Luc's instructions, I have verified that this patch does work for me as well.

Jonathan Windham (jon2kx) wrote :

Confirmed here as well, patch does in fact work, flawlessly. To bad my RS690 isn't supported in Xorg7.5 However Patch works very well.

Download full text (4.8 KiB)

I was trying to use this patch, but always (after every of patch commands)
the same error was obtained:

...
Loading new fglrx-8.723.1 DKMS files...
First Installation: checking all kernels...
Building only for 2.6.32-24-generic
Building for architecture x86_64
Building initial module for 2.6.32-24-generic

Error! Bad return status for module build on kernel: 2.6.32-24-generic
(x86_64)
Consult the make.log in the build directory
/var/lib/dkms/fglrx/8.723.1/build/ for more information.
dpkg: error processing fglrx (--configure):
 підпроцес installed post-installation script повернув статус помилку 10
dpkg: dependency problems prevent configuration of fglrx-amdcccle:
 fglrx-amdcccle depends on fglrx; however:
  Package fglrx is not configured yet.
dpkg: error processing fglrx-amdcccle (--configure):
 проблеми з залежностями - залишається неналаштованим
dpkg: dependency problems prevent configuration of fglrx-dev:
 fglrx-dev depends on fglrx; however:
  Package fglrx is not configured yet.
dpkg: error processing fglrx-dev (--configure):
 проблеми з залежностями - залишається неналаштованим
Обробка тригерів для python-gmenu ...
No apport report written because the error message indicates its a followup
error from a previous failure.

No apport report written because the error message indicates its a followup
error from a previous failure.
                                                       Rebuilding
/usr/share/applications/desktop.uk_UA.utf8.cache...
Обробка тригерів для initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-2.6.32-24-generic
Обробка тригерів для python-support ...
WARNING: WARNING: /usr/lib/python-support/python-glpk/python2.6/_glpkpi.so
is linked but does not belong to any package.
Errors were encountered while processing:
 fglrx
 fglrx-amdcccle
 fglrx-dev
E: Sub-process /usr/bin/dpkg returned an error code (1)
...

===============================================================
2010/9/19 Luc Bruninx <email address hidden>

> I used this patch too.
>
> It works perfectly.
>
> For less experienced users, the following commands to apply the patch:
>
> # In your home directory...
>
> # to apply patch, if not already installed...
> sudo apt-get install build-essential fakeroot devscripts
>
> # In your home directory...
> mkdir fglrx-installer
> cd fglrx-installer
>
> # download patch
> wget
> https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/642518/+attachment/1607184/+files/fglrx-installer_8.723.1-0ubuntu5.debdiff
>
> # get sources
> apt-get source fglrx
>
> # get depends
> sudo apt-get build-dep fglrx
>
> # patch it...
> cd fglrx-installer*-* && patch -p1 <
> ../fglrx-installer_8.723.1-0ubuntu5.debdiff
>
> # rebuild..
> debuild -uc -us
>
> # to install patched files..
> sudo dpkg -i ../fglrx*.deb
>
> --
> package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade: fglrx kernel
> module failed to build
> https://bugs.launchpad.net/bugs/642518
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (642139).
>
> Status in “fglrx-installer” package in Ubuntu: Confirmed
>
> Bug description:
> will not compile for this version of the linux kernal
>
> ProblemType: P...

Read more...

Recouper (grant-howat) wrote :

Hi,

Thank you. I'm going to have a try at getting this to work tomorrow.

Awesome support! I'm really impressed.

Regards,
Grant

On Sun, Sep 19, 2010 at 5:24 PM, Lumenary <email address hidden> wrote:

> Upgrading to kernel
>
> ........ 2.6.32-24-generic_2.6.32-24.43_amd64
>
> definitely breaks
>
> ........ fglrx_2:8.723.1-0ubuntu4_amd64
>
> from the Canonical official Lucid repository and these versions from the
> Ubuntu X-Swat PPA:
>
> ........ fglrx_2:8.753-0ubuntu0sarvatt~lucid_amd64
> ........ fglrx_2:8.762-0ubuntu0sarvatt~lucid_amd64
> ........ fglrx_2:8.771-0ubuntu0sarvatt~lucid_amd64
>
>
> All of the above versions of the ATi restricted/proprietary drivers worked
> under kernel
>
> ........ 2.6.32-24-generic_2.6.32-24.42_amd64
>
> and earlier.
>
>
> DKMS make logs to follow.
>
> --
> package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade: fglrx kernel
> module failed to build
> https://bugs.launchpad.net/bugs/642518
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (641787).
>

Bohdan:

You have this error message:

dpkg: dependency problems prevent configuration of fglrx-amdcccle

You should completely uninstall fglrx before apply the patch.

look at https://wiki.ubuntu.com/X/Troubleshooting/FglrxInteferesWithRadeonDriver

Changed in fglrx-installer (Ubuntu Lucid):
importance: Undecided → High
status: New → Triaged
tags: added: regression-update
summary: - package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade: fglrx kernel
- module failed to build
+ [MASTER] package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade:
+ Kernel fix for CVE-2010-3081 breaks fglrx

looks like a kernel problem of 2.6.32-25 64 bit.
will try another one

Am 20.09.2010 12:35, schrieb Jean-Baptiste Lallement:
> ** Also affects: fglrx-installer (Ubuntu Lucid)
> Importance: Undecided
> Status: New
>
> ** Changed in: fglrx-installer (Ubuntu Lucid)
> Importance: Undecided => High
>
> ** Changed in: fglrx-installer (Ubuntu Lucid)
> Status: New => Triaged
>
> ** Tags added: regression-update
>
> ** Summary changed:
>
> - package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade: fglrx kernel module failed to build
> + [MASTER] package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade: Kernel fix for CVE-2010-3081 breaks fglrx
>
>

Stefan Bader (smb) wrote :

Some comment to the problem and info from discussing this on irc (I have not read through all comments, so sorry if some facts are duplicated). The problem we are facing is the fact that for resolving the security issue, upstream patches changed compat_alloc_user_space from being an inlined function, that gets defined in asm/compat.h, into a real function defined in kernel/compat.c and declared in linux/compat.h. Even worse the function is exported GPL only (EXPORT_SYMBOL_GPL).

This is no issue for code that is GPL, but fglrx has no part that is GPL. Even when we change the export to be EXPORT_SYMBOL, there still seems to be the problem that linux/compat.h cannot be included from a non-gpl module.
And as this change did not change things for GPL code, there was no ABI bump required which could be used to decide whether the old code is in use or the new one.

It seems there is one potential solution to this: as compat_alloc_user_space was an inline before it would not show up in /proc/kallsyms. So the makefile for fglrx can look there do decide whether is needs to adapt. In the new code the former compat_alloc_user_space can now be accessed through arch_compat_alloc_user_space. But to benefit from the security fix, the checking from that update should also be added.

Luc Bruninx I was aplayng the patch as you described at post #14 without errors but I receive this message when I start Catalyst Control Center:
"There was a problem initializing Catalyst Control Center Linux edition. It could be caused by the following.

No ATI graphics driver is installed, or the ATI driver is not functioning properly.
Please install the ATI driver appropriate for you ATI hardware, or configure using aticonfig."
And full screen on youtube dosen't work like when I dosen't have the driver.

Fixed with Luc Bruninx info at post #14, after that I reconfigure x whit "sudo aticonfig --force --initial" and reboot. Now It's working thank you all!

I'm not certain if it's anything different; however, to get my ATI driver
working again, I had to select 'Troubleshoot' from the menu when it detected
the driver error, and manually set the driver config file to read "normal"
for rotation vice "right".

Also, when I now go back into the Catalyst Control Center, if I try to
rotate the screen again it gives the following error:

Current settings can not be applied. Possible issues include:
   Display(s) cannot be enabled
   Setting(s) cannot be applied due to insufficient video memory

Thanks and regards,

Gary

On Sep 20, 2010 11:02 AM, "torcescubogdan" <email address hidden>
wrote:

Fixed with Luc Bruninx info at post #14, after that I reconfigure x whit
"sudo aticonfig --force --initial" and reboot. Now It's working thank
you all!

--
[MASTER] package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade: Kernel
fix for CVE-2010-30...

Changed in fglrx-installer (Ubuntu Lucid):
assignee: nobody → Alberto Milone (albertomilone)
Changed in fglrx-installer (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in fglrx-installer (Ubuntu Lucid):
status: Triaged → In Progress
fatih yucesoy (fyucesoy) wrote :

now is ok.
new ati driver installed. the problem solve.

Changed in fglrx-installer (Ubuntu):
status: Confirmed → Fix Released
Changed in fglrx-installer (Ubuntu Lucid):
status: In Progress → Fix Released
Changed in fglrx-installer (Ubuntu Lucid):
status: Fix Released → In Progress
Changed in fglrx-installer (Ubuntu):
status: Fix Released → Triaged

how can i repair this all?

On Sun, Sep 19, 2010 at 6:24 AM, Lumenary <email address hidden> wrote:

> Upgrading to kernel
>
> ........ 2.6.32-24-generic_2.6.32-24.43_amd64
>
> definitely breaks
>
> ........ fglrx_2:8.723.1-0ubuntu4_amd64
>
> from the Canonical official Lucid repository and these versions from the
> Ubuntu X-Swat PPA:
>
> ........ fglrx_2:8.753-0ubuntu0sarvatt~lucid_amd64
> ........ fglrx_2:8.762-0ubuntu0sarvatt~lucid_amd64
> ........ fglrx_2:8.771-0ubuntu0sarvatt~lucid_amd64
>
>
> All of the above versions of the ATi restricted/proprietary drivers worked
> under kernel
>
> ........ 2.6.32-24-generic_2.6.32-24.42_amd64
>
> and earlier.
>
>
> DKMS make logs to follow.
>
> --
> package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade: fglrx kernel
> module failed to build
> https://bugs.launchpad.net/bugs/642518
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (642148).
>
> Status in “fglrx-installer” package in Ubuntu: In Progress
>
> Bug description:
> will not compile for this version of the linux kernal
>
> ProblemType: Package
> DistroRelease: Ubuntu 10.04
> Package: fglrx 2:8.723.1-0ubuntu4
> ProcVersionSignature: Ubuntu 2.6.32-24.43-generic 2.6.32.15+drm33.5
> Uname: Linux 2.6.32-24-generic x86_64
> NonfreeKernelModules: wl
> Architecture: amd64
> Date: Sat Sep 18 23:31:16 2010
> DkmsStatus:
> fglrx, 8.723.1: added
> bcmwl, 5.60.48.36+bdcom, 2.6.32-24-generic, x86_64: installed
> vboxnetflt, 3.2.8, 2.6.32-24-generic, x86_64: installed
> vboxnetadp, 3.2.8, 2.6.32-24-generic, x86_64: installed
> vboxdrv, 3.2.8, 2.6.32-24-generic, x86_64: installed
> ErrorMessage: fglrx kernel module failed to build
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
> MachineType: Dell Inc. Studio 1558
> PackageVersion: 2:8.723.1-0ubuntu4
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-24-generic
> root=UUID=b11bf21b-cde8-40dd-968b-af47e2d36186 ro quiet splash
> SourcePackage: fglrx-installer
> Title: package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade: fglrx
> kernel module failed to build
> dmi.bios.date: 01/08/2010
> dmi.bios.vendor: Dell Inc.
> dmi.bios.version: A03
> dmi.board.name: 0NJWJR
> dmi.board.vendor: Dell Inc.
> dmi.board.version: A03
> dmi.chassis.type: 8
> dmi.chassis.vendor: Dell Inc.
> dmi.chassis.version: A03
> dmi.modalias:
> dmi:bvnDellInc.:bvrA03:bd01/08/2010:svnDellInc.:pnStudio1558:pvrA03:rvnDellInc.:rn0NJWJR:rvrA03:cvnDellInc.:ct8:cvrA03:
> dmi.product.name: Studio 1558
> dmi.product.version: A03
> dmi.sys.vendor: Dell Inc.
> system:
> distro: Ubuntu
> codename: lucid
> architecture: x86_64
> kernel: 2.6.32-24-generic
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/642518/+subscribe
>

janusz (sunmake) wrote :

post #14 + #34 works for me! but i still not understood why this bug remaining so long! grafic is fundamental for proper OS working. Explain yourself any newbe installing this-disaster!

stevenwr38 (stevenkykid) wrote :

hey peeps i posted this and this below is from my make log i did another clean format and install to see what happen after installing the extra updates and the extra files needed for ati and i got this from my make log
The card im useing is the HD4650 1024 onboard memory the make log i tracked down the error this is kinda long but sorry thought it might be usefull. desktop works but not effects or rendering can be done so im going to wait for a patch update and see what happens.

Oh FYI this last time (3rd try) i installed the package from ati with no relief. infact it did not officially install. this is the error from the make log

DKMS make.log for fglrx-8.723.1 for kernel 2.6.32-24-generic (x86_64)
Tue Sep 21 00:24:53 EDT 2010
AMD kernel module generator version 2.1
doing Makefile based build for kernel 2.6.x and higher
rm -rf *.c *.h *.o *.ko *.GCC* .??* *.symvers
make -C /lib/modules/2.6.32-24-generic/build SUBDIRS=/var/lib/dkms/fglrx/8.723.1/build/2.6.x modules
make[1]: Entering directory `/usr/src/linux-headers-2.6.32-24-generic'
  CC [M] /var/lib/dkms/fglrx/8.723.1/build/2.6.x/firegl_public.o
In file included from /var/lib/dkms/fglrx/8.723.1/build/2.6.x/firegl_public.c:443:
/var/lib/dkms/fglrx/8.723.1/build/2.6.x/drm_proc.h: In function ‘FGLDRM__vma_info’:
/var/lib/dkms/fglrx/8.723.1/build/2.6.x/drm_proc.h:497: warning: format ‘%08lx’ expects type ‘long unsigned int’, but argument 5 has type ‘phys_addr_t’
/var/lib/dkms/fglrx/8.723.1/build/2.6.x/firegl_public.c: In function ‘KCL_SetPageCache_Array’:
/var/lib/dkms/fglrx/8.723.1/build/2.6.x/firegl_public.c:1316: warning: passing argument 1 of ‘KCL_ConvertPageToKernelAddress’ makes pointer from integer without a cast
/var/lib/dkms/fglrx/8.723.1/build/2.6.x/firegl_public.h:325: note: expected ‘void *’ but argument is of type ‘long unsigned int’
  CC [M] /var/lib/dkms/fglrx/8.723.1/build/2.6.x/kcl_acpi.o
  CC [M] /var/lib/dkms/fglrx/8.723.1/build/2.6.x/kcl_agp.o
  CC [M] /var/lib/dkms/fglrx/8.723.1/build/2.6.x/kcl_debug.o
  CC [M] /var/lib/dkms/fglrx/8.723.1/build/2.6.x/kcl_ioctl.o
/var/lib/dkms/fglrx/8.723.1/build/2.6.x/kcl_ioctl.c: In function ‘KCL_IOCTL_AllocUserSpace32’:
/var/lib/dkms/fglrx/8.723.1/build/2.6.x/kcl_ioctl.c:196: error: implicit declaration of function ‘compat_alloc_user_space’
/var/lib/dkms/fglrx/8.723.1/build/2.6.x/kcl_ioctl.c:196: warning: return makes pointer from integer without a cast
make[2]: *** [/var/lib/dkms/fglrx/8.723.1/build/2.6.x/kcl_ioctl.o] Error 1
make[1]: *** [_module_/var/lib/dkms/fglrx/8.723.1/build/2.6.x] Error 2
make[1]: Leaving directory `/usr/src/linux-headers-2.6.32-24-generic'
make: *** [kmod_build] Error 2
build failed with return value 2

stevenwr38 (stevenkykid) wrote :

fatih yucesoy wrote 7 hours ago: #36

now is ok.
new ati driver installed. the problem solve.

Fatih if you take a look at the driver release this is what ATI has posted on thier website

stevenwr38 (stevenkykid) wrote :

um woops when did they post the 10.9 driver

tags: added: hardy jaunty karmic
Changed in fglrx-installer (Ubuntu Karmic):
assignee: nobody → Alberto Milone (albertomilone)
Changed in fglrx-installer (Ubuntu Jaunty):
importance: Undecided → High
Changed in fglrx-installer (Ubuntu Karmic):
importance: Undecided → High
Changed in fglrx-installer (Ubuntu Jaunty):
status: New → In Progress
assignee: nobody → Alberto Milone (albertomilone)
Changed in fglrx-installer (Ubuntu Karmic):
status: New → In Progress
Changed in fglrx-installer (Ubuntu Hardy):
status: New → Triaged
importance: Undecided → High
Changed in linux-restricted-modules-envy-2.6.24 (Ubuntu Jaunty):
status: New → Invalid
Changed in linux-restricted-modules-envy-2.6.24 (Ubuntu Karmic):
status: New → Invalid
Changed in linux-restricted-modules-envy-2.6.24 (Ubuntu Lucid):
status: New → Invalid
Changed in linux-restricted-modules-envy-2.6.24 (Ubuntu Hardy):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → High
status: New → Triaged
Changed in linux-restricted-modules-2.6.24 (Ubuntu Hardy):
importance: Undecided → High
status: New → Triaged
Changed in linux-restricted-modules-2.6.24 (Ubuntu Jaunty):
status: New → Invalid
Changed in linux-restricted-modules-2.6.24 (Ubuntu Karmic):
status: New → Invalid
Changed in linux-restricted-modules-2.6.24 (Ubuntu Lucid):
status: New → Invalid
Changed in linux-restricted-modules-2.6.24 (Ubuntu):
importance: Undecided → High
status: New → Triaged
Changed in linux-restricted-modules-envy-2.6.24 (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → High
status: New → Triaged
Changed in fglrx-installer (Ubuntu Hardy):
status: Triaged → Invalid
Stefan Bader (smb) on 2010-09-21
Changed in linux-restricted-modules-2.6.24 (Ubuntu Hardy):
assignee: nobody → Stefan Bader (stefan-bader-canonical)
status: Triaged → In Progress
Stefan Bader (smb) on 2010-09-21
Changed in linux-restricted-modules-2.6.24 (Ubuntu Hardy):
status: In Progress → Fix Committed
Benjamin (xzaninou) wrote :

I have that problem too. I was on Lucid and went on Maverick. I had the problem on both. I tried lots of things and lots of patches i found on the internet and here. Nothing worked. The only time I managed to install FGLRX was by downloading the 10.9 version on amd's website and changing kcl_ioctl.c. But, when i rebooted it says it could not load fglrx ...

Moreover, I can't install xorg-driver-fglrx with the ones on amd's webiste so i'm blocked.

I'm fed up with this drivers and stay on radeon until it's fixed.

Accepted linux-restricted-modules-2.6.24 into hardy-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Changed in linux-restricted-modules-2.6.24 (Ubuntu):
status: Triaged → Invalid
Stefan Bader (smb) on 2010-09-21
description: updated
Changed in linux-restricted-modules-envy-2.6.24 (Ubuntu Hardy):
status: Triaged → Fix Committed
Changed in linux-restricted-modules-envy-2.6.24 (Ubuntu):
status: Triaged → Fix Committed
Changed in fglrx-installer (Ubuntu Jaunty):
status: In Progress → Fix Committed
Changed in fglrx-installer (Ubuntu Karmic):
status: In Progress → Fix Committed
Changed in fglrx-installer (Ubuntu Lucid):
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

Accepted fglrx-installer into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

Accepted fglrx-installer into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in linux-restricted-modules-envy-2.6.24 (Ubuntu):
status: Fix Committed → Invalid
Martin Pitt (pitti) wrote :

Accepted fglrx-installer into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

Accepted linux-restricted-modules-envy-2.6.24 into hardy-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Work around from post #14 is already working properly.
Is this now really a fix that future kernel module compilations won't fail?
If this is what you mean I will test and report and set back my system
to the faulty one before I used the post #14.

Am 21.09.2010 18:04, schrieb Martin Pitt:
> Accepted fglrx-installer into lucid-proposed, the package will build now
> and be available in a few hours. Please test and give feedback here. See
> https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to
> enable and use -proposed. Thank you in advance!
>
>

Martin Pitt (pitti) wrote :

Catanius [2010-09-21 17:23 -0000]:
> Is this now really a fix that future kernel module compilations won't fail?

Right, it is.

> If this is what you mean I will test and report and set back my system
> to the faulty one before I used the post #14.

That'd be great, thank you.

Nicolas Delvaux (malizor) wrote :

But this only fix the problem for Ubuntu-provided fglrx right?

So, until ATI provide a proper fixed version, drivers hosted on the AMD's website won't install properly...

Blue Print (blueprintac) wrote :
Download full text (4.3 KiB)

unsucessful for me again :-(

On Tue, Sep 21, 2010 at 6:34 PM, Martin Pitt <email address hidden> wrote:

> Catanius [2010-09-21 17:23 -0000]:
> > Is this now really a fix that future kernel module compilations won't
> fail?
>
> Right, it is.
>
> > If this is what you mean I will test and report and set back my system
> > to the faulty one before I used the post #14.
>
> That'd be great, thank you.
>
> --
> [MASTER] package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade: Kernel
> fix for CVE-2010-3081 breaks fglrx
> https://bugs.launchpad.net/bugs/642518
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (642148).
>
> Status in “fglrx-installer” package in Ubuntu: Triaged
> Status in “linux-restricted-modules-2.6.24” package in Ubuntu: Invalid
> Status in “linux-restricted-modules-envy-2.6.24” package in Ubuntu: Invalid
> Status in “fglrx-installer” source package in Lucid: Fix Committed
> Status in “linux-restricted-modules-2.6.24” source package in Lucid:
> Invalid
> Status in “linux-restricted-modules-envy-2.6.24” source package in Lucid:
> Invalid
> Status in “fglrx-installer” source package in Hardy: Invalid
> Status in “linux-restricted-modules-2.6.24” source package in Hardy: Fix
> Committed
> Status in “linux-restricted-modules-envy-2.6.24” source package in Hardy:
> Fix Committed
> Status in “fglrx-installer” source package in Jaunty: Fix Committed
> Status in “linux-restricted-modules-2.6.24” source package in Jaunty:
> Invalid
> Status in “linux-restricted-modules-envy-2.6.24” source package in Jaunty:
> Invalid
> Status in “fglrx-installer” source package in Karmic: Fix Committed
> Status in “linux-restricted-modules-2.6.24” source package in Karmic:
> Invalid
> Status in “linux-restricted-modules-envy-2.6.24” source package in Karmic:
> Invalid
>
> Bug description:
> SRU Justification:
>
> Impact: Due to kernel changes for CVE-2010-3081 a function that was an
> inline before has changed to a GPL only function. The fglrx driver cannot
> link against this and fails to compile. In fglrx only the old inlines (which
> have been renamed) may be used but those would lack the additional checks.
>
> Fix: Add code to detect whether the fglrx driver is compiled against a
> kernel which has this change and use the old inlines in this case. Add the
> additional checks from the CVE to the driver wrapper, so the hardening is
> done in any case.
>
> Testcase: Compile of 64bit fglrx driver fails with an error without this
> change.
>
> ---
>
> will not compile for this version of the linux kernal
>
> ProblemType: Package
> DistroRelease: Ubuntu 10.04
> Package: fglrx 2:8.723.1-0ubuntu4
> ProcVersionSignature: Ubuntu 2.6.32-24.43-generic 2.6.32.15+drm33.5
> Uname: Linux 2.6.32-24-generic x86_64
> NonfreeKernelModules: wl
> Architecture: amd64
> Date: Sat Sep 18 23:31:16 2010
> DkmsStatus:
> fglrx, 8.723.1: added
> bcmwl, 5.60.48.36+bdcom, 2.6.32-24-generic, x86_64: installed
> vboxnetflt, 3.2.8, 2.6.32-24-generic, x86_64: installed
> vboxnetadp, 3.2.8, 2.6.32-24-generic, x86_64: installed
> vboxdrv, 3.2.8, 2.6.32-24-generic, x86_64: installed
> ErrorMessage: fglrx kernel module failed to build
...

Read more...

Download full text (4.1 KiB)

fixes nothing for me atm

On Tue, Sep 21, 2010 at 7:03 PM, Nicolas Delvaux
<email address hidden>wrote:

> But this only fix the problem for Ubuntu-provided fglrx right?
>
> So, until ATI provide a proper fixed version, drivers hosted on the
> AMD's website won't install properly...
>
> --
> [MASTER] package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade: Kernel
> fix for CVE-2010-3081 breaks fglrx
> https://bugs.launchpad.net/bugs/642518
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (642148).
>
> Status in “fglrx-installer” package in Ubuntu: Triaged
> Status in “linux-restricted-modules-2.6.24” package in Ubuntu: Invalid
> Status in “linux-restricted-modules-envy-2.6.24” package in Ubuntu: Invalid
> Status in “fglrx-installer” source package in Lucid: Fix Committed
> Status in “linux-restricted-modules-2.6.24” source package in Lucid:
> Invalid
> Status in “linux-restricted-modules-envy-2.6.24” source package in Lucid:
> Invalid
> Status in “fglrx-installer” source package in Hardy: Invalid
> Status in “linux-restricted-modules-2.6.24” source package in Hardy: Fix
> Committed
> Status in “linux-restricted-modules-envy-2.6.24” source package in Hardy:
> Fix Committed
> Status in “fglrx-installer” source package in Jaunty: Fix Committed
> Status in “linux-restricted-modules-2.6.24” source package in Jaunty:
> Invalid
> Status in “linux-restricted-modules-envy-2.6.24” source package in Jaunty:
> Invalid
> Status in “fglrx-installer” source package in Karmic: Fix Committed
> Status in “linux-restricted-modules-2.6.24” source package in Karmic:
> Invalid
> Status in “linux-restricted-modules-envy-2.6.24” source package in Karmic:
> Invalid
>
> Bug description:
> SRU Justification:
>
> Impact: Due to kernel changes for CVE-2010-3081 a function that was an
> inline before has changed to a GPL only function. The fglrx driver cannot
> link against this and fails to compile. In fglrx only the old inlines (which
> have been renamed) may be used but those would lack the additional checks.
>
> Fix: Add code to detect whether the fglrx driver is compiled against a
> kernel which has this change and use the old inlines in this case. Add the
> additional checks from the CVE to the driver wrapper, so the hardening is
> done in any case.
>
> Testcase: Compile of 64bit fglrx driver fails with an error without this
> change.
>
> ---
>
> will not compile for this version of the linux kernal
>
> ProblemType: Package
> DistroRelease: Ubuntu 10.04
> Package: fglrx 2:8.723.1-0ubuntu4
> ProcVersionSignature: Ubuntu 2.6.32-24.43-generic 2.6.32.15+drm33.5
> Uname: Linux 2.6.32-24-generic x86_64
> NonfreeKernelModules: wl
> Architecture: amd64
> Date: Sat Sep 18 23:31:16 2010
> DkmsStatus:
> fglrx, 8.723.1: added
> bcmwl, 5.60.48.36+bdcom, 2.6.32-24-generic, x86_64: installed
> vboxnetflt, 3.2.8, 2.6.32-24-generic, x86_64: installed
> vboxnetadp, 3.2.8, 2.6.32-24-generic, x86_64: installed
> vboxdrv, 3.2.8, 2.6.32-24-generic, x86_64: installed
> ErrorMessage: fglrx kernel module failed to build
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
> MachineType: Dell Inc. Studio 1558
...

Read more...

@Nicolas Delvaux: Correct. Catalyst drivers on amd.com are not fixed yet. We're working on getting the fix into the next Catalyst release in October.

Nope, dkms for fglrx still doesn't build - I updated from proposed a minute ago.

2.6.32-25,
x86_64,
clean test system

The make.sh in the directory fails at:

CC [M] /var/lib/dkms/fglrx/10-9/build/kcl_ioctl.o
   /var/lib/dkms/fglrx/10-9/build/kcl_ioctl.c: In function
   ‘KCL_IOCTL_AllocUserSpace32’: /var/lib/dkms/fglrx/10-9/build/kcl_ioctl.c:196:
   error: implicit declaration of function ‘compat_alloc_user_space’

So... implicit declaration.... sounds fun. This has to be for x64 systems (read the comment for compat_alloc_user_space). compat.h is imported. So no worries:

It's arch_compat_alloc_user_space and it builds with make.sh. However of course not with the package, that needs these fixes right now.
All that is needed to do: these 5 literals in front of the function. :) We will do this. :) I believe!

fnu (fnu) wrote :

Huh?

afais there is no fglrx in proposed up to this minute, it'll need some more time I guess:

lucid-root:/etc/apt> date
Di 21. Sep 21:31:18 CEST 2010
lucid-root:/etc/apt> apt-cache policy fglrx
fglrx:
  Installiert: (keine)
  Kandidat: 2:8.723.1-0ubuntu4
  Versions-Tabelle:
     2:8.723.1-0ubuntu4 0
        900 http://de.archive.ubuntu.com/ubuntu/ lucid-updates/restricted Packages
     2:8.723.1-0ubuntu3 0
        500 http://de.archive.ubuntu.com/ubuntu/ lucid/restricted Packages

Alberto Milone (albertomilone) wrote :

@Marius: I think you're using some other package, not the one in -proposed. The fact that in your case "/var/lib/dkms/fglrx/10-9/" contains "10-9" instead of "8.723.1" proves my theory.

The output of this command will show you what version you have installed:
apt-cache policy fglrx

The new package (8.723.1-0ubuntu5) includes the attached patch that does what's required to work around the problem (which is slightly more complex than what you suggested).

Nicolas Delvaux (malizor) wrote :

The fix works here with ubuntu 10.04 amd64 (all up-to-date with proposed enable).

Because this downgrade the fglrx driver for me (I was using 10.09), I (again) ran into bug: 568988
So, to whom it may concern, don't forget to also add one of these ppa:

Karmic: https://launchpad.net/~k0ekk0ek/+archive/ppa
Lucid: https://launchpad.net/~info-g-com/+archive/xserver-xorg-1.7.6-gc

Nicolas Boulesteix (noxx-free) wrote :

The fix seems to work with Lucid (there still to reboot, but no error message when installing).

Just mind to use main server to update, due to additional delay if you want to use another server (in french server, the proposed update of fglrx are not yet mirrored...)

Is there a fix for maverick too ?

thanks for the fix on lucid !

Kind Regards

Nicolas

canon (canonnem) on 2010-09-21
Changed in fglrx-installer (Ubuntu Lucid):
assignee: Alberto Milone (albertomilone) → canon (canonnem)
Lumenary (nx-kadams) wrote :

Anybody here from the Ubuntu X-Swat PPA have an update on 8.771? The last check-in for this version is still listed as

........ 0ubuntu0sarvatt~Lucid

at date of

........ 2010-09-16

by Robert Hooker.

OK, on Lucid, I just enabled the "proposed updates" in "Synaptic". I then selected to "completely remove" fglrx. Applied updates, which removed it. I then selected to install it. It worked after installation was complete and a re-boot.

This was my BRAND NEW System76 Serval Professional that I just received from UPS today. I got the broken update after booting it up and applying updates that were ready. WOW! What a kick in the teeth!

Thanks to all those, developers and everyone else, who found this problem so quickly and got the fix out there for people like me.

To the person who pushed the Kernel update with the symbol changed to GPL-Only: I hope you get crabs!

Just kidding. I actually understand the whole GPL-Only thing and support it! Even if it does burn me from time to time.

deltatux (deltatux) wrote :

The patch worked, but after I installed the patched fglrx, whenever I run glxgears to check if the driver's working, it keeps giving me a "segmentation fault". Also, if I try to open up KInfoCenter (I'm using KDE), and when I hit the "OpenGL" section, it just crashes out.

Help.

deltatux

The patch appears to have worked, but I have lost the ability to run
visual effects on the desktop.

Ian

It works perfectly!

Am 21.09.2010 19:34, schrieb Martin Pitt:
> Catanius [2010-09-21 17:23 -0000]:
>
>> Is this now really a fix that future kernel module compilations won't fail?
>>
> Right, it is.
>
>
>> If this is what you mean I will test and report and set back my system
>> to the faulty one before I used the post #14.
>>
> That'd be great, thank you.
>
>

Alberto Milone (albertomilone) wrote :

@deltatux, Ian: please attach the following files:
1) your /var/log/Xorg.0.log
2) the output of "dmesg"
3) the output of "lsmod"
4) the output of "ldconfig -p | grep GL"

Changed in fglrx-installer (Ubuntu Lucid):
assignee: canon (canonnem) → Alberto Milone (albertomilone)
Benjamin (xzaninou) wrote :

What's about Maverick ?

Here's what I got when I try to install it with aptitude :
/***********************************************************************************************************/
The following NEW packages will be installed:
  fglrx fglrx-amdcccle{a}
[...]
Building only for 2.6.35-22-generic
Building for architecture x86_64
Building initial module for 2.6.35-22-generic

Error! Bad return status for module build on kernel: 2.6.35-22-generic (x86_64)
Consult the make.log in the build directory
/var/lib/dkms/fglrx/8.723.1/build/ for more information.
dpkg: error processing fglrx (--configure):
 subprocess installed post-installation script returned error exit status 10
[...]
/***********************************************************************************************************/

Here's the /var/lib/dkms/fglrx/8.723.1/build/make.log file
/***********************************************************************************************************/
DKMS make.log for fglrx-8.723.1 for kernel 2.6.35-22-generic (x86_64)
Wed Sep 22 09:16:32 CEST 2010
AMD kernel module generator version 2.1
doing Makefile based build for kernel 2.6.x and higher
rm -rf *.c *.h *.o *.ko *.GCC* .??* *.symvers
make -C /lib/modules/2.6.35-22-generic/build SUBDIRS=/var/lib/dkms/fglrx/8.723.1/build/2.6.x modules
make[1]: Entering directory `/usr/src/linux-headers-2.6.35-22-generic'
  CC [M] /var/lib/dkms/fglrx/8.723.1/build/2.6.x/firegl_public.o
In file included from /var/lib/dkms/fglrx/8.723.1/build/2.6.x/firegl_public.c:443:
/var/lib/dkms/fglrx/8.723.1/build/2.6.x/drm_proc.h: In function ‘FGLDRM__vma_info’:
/var/lib/dkms/fglrx/8.723.1/build/2.6.x/drm_proc.h:497: warning: format ‘%08lx’ expects type ‘long unsigned int’, but argument 5 has type ‘phys_addr_t’
/var/lib/dkms/fglrx/8.723.1/build/2.6.x/firegl_public.c: In function ‘KCL_SetPageCache_Array’:
/var/lib/dkms/fglrx/8.723.1/build/2.6.x/firegl_public.c:1316: warning: passing argument 1 of ‘KCL_ConvertPageToKernelAddress’ makes pointer from integer without a cast
/var/lib/dkms/fglrx/8.723.1/build/2.6.x/firegl_public.h:325: note: expected ‘void *’ but argument is of type ‘long unsigned int’
/var/lib/dkms/fglrx/8.723.1/build/2.6.x/firegl_public.c: In function ‘__ke__cmpxchg’:
/var/lib/dkms/fglrx/8.723.1/build/2.6.x/firegl_public.c:1473: error: variable or field ‘__ret’ declared void
/var/lib/dkms/fglrx/8.723.1/build/2.6.x/firegl_public.c:1473: error: variable or field ‘__old’ declared void
/var/lib/dkms/fglrx/8.723.1/build/2.6.x/firegl_public.c:1473: error: variable or field ‘__new’ declared void
make[2]: *** [/var/lib/dkms/fglrx/8.723.1/build/2.6.x/firegl_public.o] Error 1
make[1]: *** [_module_/var/lib/dkms/fglrx/8.723.1/build/2.6.x] Error 2
make[1]: Leaving directory `/usr/src/linux-headers-2.6.35-22-generic'
make: *** [kmod_build] Error 2
build failed with return value 2
/***********************************************************************************************************/

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer - 2:8.723.1-0ubuntu5

---------------
fglrx-installer (2:8.723.1-0ubuntu5) lucid-proposed; urgency=low

  * Add compat_alloc_cve-2010-3081.patch:
    - Work around the lack of compat_alloc_user_space() in asm/compat.h
      after the fix for CVE-2010-3081 (LP: #642518). Thanks to Evan Broder
      and Stefan Bader for the patch.
 -- Alberto Milone <email address hidden> Tue, 21 Sep 2010 12:39:58 +0200

Changed in fglrx-installer (Ubuntu Lucid):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Releasing lucid fix to lucid-updates. Keeping verification-needed for hardy/jaunty/karmic.

Alberto Milone (albertomilone) wrote :

@xzaninou: the package in Maverick doesn't work with Maverick's xserver in addition to having the problem described in this bug report. I'll fix the issue soon.

Benjamin (xzaninou) wrote :

@Alberto: Thanks a lot.

I forgot to mention that I created 2 symbolic links for missing headers but, after all I tried, I can't tell you which ones.

FriedChicken (domlyons) wrote :

@Lumenary
> Anybody here from the Ubuntu X-Swat PPA have an update on 8.771? The last check-in for this version is still listed
> as
>........ 0ubuntu0sarvatt~Lucid

I also use this package. I had to go back to Linux kernel version 2.6.32-23.

I guess that's not the perfect way for all people (mainly because of security reasons) but for me this is fine until a new catalyst driver (hopefully) will solve this problem.

Frank Ryan (franko46) wrote :

fglrx now installs for me following Martin's instructions but catalyst control center does not work despite fglrx-amdcccle appearing to be installed also. Am I correct in understanding Catalyst is still a work in progress?

Sorry, but I don't understand all the trouble people have with the new
catalyst driver 10.9.
It is always recommended to use those drivers through a software channel.
Sometimes people need a little more patience because the developers are not
machines. I now much of the kiddies out there always need the newest and
fastest
things without looking on stability. If there is an new toy it must be
in my stock rapidly.
This is a typical windoze behaviour which lead us to all the it-problems
we have nowadays
with that rapid developed unproven windoze crap. (as you recognized I
can't write this word
anymore) And please, as a former expert software developer for windoze
customers I really
know what I talking about. It was amazingly fast how the bug was fixed
for the older version
(1/2 a year older, ridiculous) and now the developers ask for patience
for a future catalyst version.
So please stop complaining about that 10.9 stuff, just wait and let them
do their work.
By the way: a bugfix from Microslut takes years! There is still crappy
code from windoze 3.11 in
every version.

I hope I can finish the useless discussion about: "Why my newest toy
won't work" 10.9 Problem.
Everyone who helped on that fix did a great and fast job.
What about a donation to them?

Catanius

Am 22.09.2010 14:37, schrieb FriedChicken:
> @Lumenary
>
>> Anybody here from the Ubuntu X-Swat PPA have an update on 8.771? The last check-in for this version is still listed
>> as
>> ........ 0ubuntu0sarvatt~Lucid
>>
> I also use this package. I had to go back to Linux kernel version
> 2.6.32-23.
>
> I guess that's not the perfect way for all people (mainly because of
> security reasons) but for me this is fine until a new catalyst driver
> (hopefully) will solve this problem.
>
>

Danielle Pace (pace-danielle) wrote :

@deltatux: I'm new to these fglrx issues so please take whatever I say with a grain of salt. I also had the "segmentation fault" problem when installing installing fglrx for the first time (i.e not upgrading, but switching from the opensource driver to the proprietary one on a fresh Lucid 64-bit install).

Rebooting, then running:

aticonfig --initial

and then rebooting again seemed to fix things. I no longer get a segmentation fault on fglrxinfo and glxgears is working.

I then ran into the window issues that Nicolas Delvaux describes in post #57. The lucid PPA worked wonders and now things are working nicely. Switching from the open-source driver to the proprietary driver dropped my CPU temp from almost 90C to 50C!

@Catanius: your message is a flame. Without people testing the newest things and without finding out bugs these bugs arrive to the masses.
Anyway my friend is affected by this bug doing "aptitude safe-upgrade".

Thanks all people here around for doing a very great job!
Ubuntu Rules!

Download full text (4.9 KiB)

fglrx:
  Installed: 2:8.723.1-0ubuntu3
  Candidate: 2:8.723.1-0ubuntu4
  Version table:
     2:8.771-0ubuntu0sarvatt~lucid 0
        500 http://ppa.launchpad.net/ubuntu-x-swat/x-updates/ubuntu/lucid/main
Packages
     2:8.723.1-0ubuntu4 0
        900 http://gb.archive.ubuntu.com/ubuntu/ lucid-updates/restricted
Packages
 *** 2:8.723.1-0ubuntu3 0
        500 http://gb.archive.ubuntu.com/ubuntu/ lucid/restricted Packages
        100 /var/lib/dpkg/status

weird is i can still not use my graphics or the catalyst controller, my FPS
sucks. and i get a mention of low graphics mode on start, no option of
repair seems to work, e.g. new config base on hardware, based on distro, old
or low mode

On Wed, Sep 22, 2010 at 3:38 PM, Cecco <email address hidden> wrote:

> @Catanius: your message is a flame. Without people testing the newest
> things and without finding out bugs these bugs arrive to the masses.
> Anyway my friend is affected by this bug doing "aptitude safe-upgrade".
>
> Thanks all people here around for doing a very great job!
> Ubuntu Rules!
>
> --
> [MASTER] package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade: Kernel
> fix for CVE-2010-3081 breaks fglrx
> https://bugs.launchpad.net/bugs/642518
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (642148).
>
> Status in “fglrx-installer” package in Ubuntu: Triaged
> Status in “linux-restricted-modules-2.6.24” package in Ubuntu: Invalid
> Status in “linux-restricted-modules-envy-2.6.24” package in Ubuntu: Invalid
> Status in “fglrx-installer” source package in Lucid: Fix Released
> Status in “linux-restricted-modules-2.6.24” source package in Lucid:
> Invalid
> Status in “linux-restricted-modules-envy-2.6.24” source package in Lucid:
> Invalid
> Status in “fglrx-installer” source package in Hardy: Invalid
> Status in “linux-restricted-modules-2.6.24” source package in Hardy: Fix
> Committed
> Status in “linux-restricted-modules-envy-2.6.24” source package in Hardy:
> Fix Committed
> Status in “fglrx-installer” source package in Jaunty: Fix Committed
> Status in “linux-restricted-modules-2.6.24” source package in Jaunty:
> Invalid
> Status in “linux-restricted-modules-envy-2.6.24” source package in Jaunty:
> Invalid
> Status in “fglrx-installer” source package in Karmic: Fix Committed
> Status in “linux-restricted-modules-2.6.24” source package in Karmic:
> Invalid
> Status in “linux-restricted-modules-envy-2.6.24” source package in Karmic:
> Invalid
>
> Bug description:
> SRU Justification:
>
> Impact: Due to kernel changes for CVE-2010-3081 a function that was an
> inline before has changed to a GPL only function. The fglrx driver cannot
> link against this and fails to compile. In fglrx only the old inlines (which
> have been renamed) may be used but those would lack the additional checks.
>
> Fix: Add code to detect whether the fglrx driver is compiled against a
> kernel which has this change and use the old inlines in this case. Add the
> additional checks from the CVE to the driver wrapper, so the hardening is
> done in any case.
>
> Testcase: Compile of 64bit fglrx driver fails with an error without this
> change.
>
> ---
>
> will n...

Read more...

Blue Print (blueprintac) wrote :
Download full text (7.2 KiB)

currently doing an update which has the following:
fglrx (version 2:8.723.1-0ubuntu3) will be upgraded to version
2:8.723.1-0ubuntu5
fglrx-amdcccle (version 2:8.723.1-0ubuntu3) will be upgraded to version
2:8.723.1-0ubuntu5
fglrx-kernel-source (version 2:8.723.1-0ubuntu3) will be upgraded to version
2:8.723.1-0ubuntu5
fglrx-modaliases (version 2:8.723.1-0ubuntu3) will be upgraded to version
2:8.723.1-0ubuntu5
libgl1-mesa-dev (version 7.9.0+git20100917.fd266ec6-0ubuntu0sarvatt~lucid)
will be upgraded to version
7.10.0+git20100921.b5bb2156-0ubuntu0sarvatt~lucid
libgl1-mesa-dri (version 7.9.0+git20100917.fd266ec6-0ubuntu0sarvatt~lucid)
will be upgraded to version
7.10.0+git20100921.b5bb2156-0ubuntu0sarvatt~lucid
libgl1-mesa-glx (version 7.9.0+git20100917.fd266ec6-0ubuntu0sarvatt~lucid)
will be upgraded to version
7.10.0+git20100921.b5bb2156-0ubuntu0sarvatt~lucid
libglu1-mesa (version 7.9.0+git20100917.fd266ec6-0ubuntu0sarvatt~lucid) will
be upgraded to version 7.10.0+git20100921.b5bb2156-0ubuntu0sarvatt~lucid
libglu1-mesa-dev (version 7.9.0+git20100917.fd266ec6-0ubuntu0sarvatt~lucid)
will be upgraded to version
7.10.0+git20100921.b5bb2156-0ubuntu0sarvatt~lucid
libosmesa6 (version 7.9.0+git20100917.fd266ec6-0ubuntu0sarvatt~lucid) will
be upgraded to version 7.10.0+git20100921.b5bb2156-0ubuntu0sarvatt~lucid
libpixman-1-0 (version 0.19.3+git20100909.e29d9dfc-0ubuntu0sarvatt~lucid)
will be upgraded to version
0.19.5+git20100921.edd17339-0ubuntu0sarvatt~lucid
libpixman-1-dev (version 0.19.3+git20100909.e29d9dfc-0ubuntu0sarvatt~lucid)
will be upgraded to version
0.19.5+git20100921.edd17339-0ubuntu0sarvatt~lucid
mesa-common-dev (version 7.9.0+git20100917.fd266ec6-0ubuntu0sarvatt~lucid)
will be upgraded to version
7.10.0+git20100921.b5bb2156-0ubuntu0sarvatt~lucid
xorg-driver-fglrx (version 2:8.723.1-0ubuntu4) will be upgraded to version
2:8.723.1-0ubuntu5

i will give any results after, also including any errors. im not very
technical so most updates/installs are done with the care of synaptic
package manager

offtopic (how do i remove kernals / images that i no longer want/use or its
old through command line ? many thanks)

On Wed, Sep 22, 2010 at 5:00 PM, Darren iqbal <email address hidden> wrote:

> fglrx:
> Installed: 2:8.723.1-0ubuntu3
> Candidate: 2:8.723.1-0ubuntu4
> Version table:
> 2:8.771-0ubuntu0sarvatt~lucid 0
> 500 http://ppa.launchpad.net/ubuntu-x-swat/x-updates/ubuntu/lucid/main Packages
> 2:8.723.1-0ubuntu4 0
> 900 http://gb.archive.ubuntu.com/ubuntu/ lucid-updates/restricted
> Packages
>
> *** 2:8.723.1-0ubuntu3 0
> 500 http://gb.archive.ubuntu.com/ubuntu/ lucid/restricted Packages
> 100 /var/lib/dpkg/status
>
> weird is i can still not use my graphics or the catalyst controller, my FPS
> sucks. and i get a mention of low graphics mode on start, no option of
> repair seems to work, e.g. new config base on hardware, based on distro, old
> or low mode
>
>
>
>
> On Wed, Sep 22, 2010 at 3:38 PM, Cecco <email address hidden> wrote:
>
>> @Catanius: your message is a flame. Without people testing the newest
>> things and without finding out bugs these bugs arrive to the masses.
>> Anyway m...

Read more...

Blue Print (blueprintac) wrote :
Download full text (7.6 KiB)

ok /var/log/jockey with errors http://pastebin.com/FHbuJiXN

On Wed, Sep 22, 2010 at 5:06 PM, Darren iqbal <email address hidden> wrote:

> currently doing an update which has the following:
> fglrx (version 2:8.723.1-0ubuntu3) will be upgraded to version
> 2:8.723.1-0ubuntu5
> fglrx-amdcccle (version 2:8.723.1-0ubuntu3) will be upgraded to version
> 2:8.723.1-0ubuntu5
> fglrx-kernel-source (version 2:8.723.1-0ubuntu3) will be upgraded to
> version 2:8.723.1-0ubuntu5
> fglrx-modaliases (version 2:8.723.1-0ubuntu3) will be upgraded to version
> 2:8.723.1-0ubuntu5
> libgl1-mesa-dev (version 7.9.0+git20100917.fd266ec6-0ubuntu0sarvatt~lucid)
> will be upgraded to version
> 7.10.0+git20100921.b5bb2156-0ubuntu0sarvatt~lucid
> libgl1-mesa-dri (version 7.9.0+git20100917.fd266ec6-0ubuntu0sarvatt~lucid)
> will be upgraded to version
> 7.10.0+git20100921.b5bb2156-0ubuntu0sarvatt~lucid
> libgl1-mesa-glx (version 7.9.0+git20100917.fd266ec6-0ubuntu0sarvatt~lucid)
> will be upgraded to version
> 7.10.0+git20100921.b5bb2156-0ubuntu0sarvatt~lucid
> libglu1-mesa (version 7.9.0+git20100917.fd266ec6-0ubuntu0sarvatt~lucid)
> will be upgraded to version
> 7.10.0+git20100921.b5bb2156-0ubuntu0sarvatt~lucid
> libglu1-mesa-dev (version 7.9.0+git20100917.fd266ec6-0ubuntu0sarvatt~lucid)
> will be upgraded to version
> 7.10.0+git20100921.b5bb2156-0ubuntu0sarvatt~lucid
> libosmesa6 (version 7.9.0+git20100917.fd266ec6-0ubuntu0sarvatt~lucid) will
> be upgraded to version 7.10.0+git20100921.b5bb2156-0ubuntu0sarvatt~lucid
> libpixman-1-0 (version 0.19.3+git20100909.e29d9dfc-0ubuntu0sarvatt~lucid)
> will be upgraded to version
> 0.19.5+git20100921.edd17339-0ubuntu0sarvatt~lucid
> libpixman-1-dev (version 0.19.3+git20100909.e29d9dfc-0ubuntu0sarvatt~lucid)
> will be upgraded to version
> 0.19.5+git20100921.edd17339-0ubuntu0sarvatt~lucid
> mesa-common-dev (version 7.9.0+git20100917.fd266ec6-0ubuntu0sarvatt~lucid)
> will be upgraded to version
> 7.10.0+git20100921.b5bb2156-0ubuntu0sarvatt~lucid
> xorg-driver-fglrx (version 2:8.723.1-0ubuntu4) will be upgraded to version
> 2:8.723.1-0ubuntu5
>
> i will give any results after, also including any errors. im not very
> technical so most updates/installs are done with the care of synaptic
> package manager
>
> offtopic (how do i remove kernals / images that i no longer want/use or its
> old through command line ? many thanks)
>
>
> On Wed, Sep 22, 2010 at 5:00 PM, Darren iqbal <email address hidden>wrote:
>
>> fglrx:
>> Installed: 2:8.723.1-0ubuntu3
>> Candidate: 2:8.723.1-0ubuntu4
>> Version table:
>> 2:8.771-0ubuntu0sarvatt~lucid 0
>> 500 http://ppa.launchpad.net/ubuntu-x-swat/x-updates/ubuntu/lucid/main Packages
>> 2:8.723.1-0ubuntu4 0
>> 900 http://gb.archive.ubuntu.com/ubuntu/ lucid-updates/restricted
>> Packages
>>
>> *** 2:8.723.1-0ubuntu3 0
>> 500 http://gb.archive.ubuntu.com/ubuntu/ lucid/restricted
>> Packages
>> 100 /var/lib/dpkg/status
>>
>> weird is i can still not use my graphics or the catalyst controller, my
>> FPS sucks. and i get a mention of low graphics mode on start, no option of
>> repair seems to work, e.g. new config base on hardware, based on distro, old
>> ...

Read more...

running 10.04.1 LTS under wubi with fglrx 2:8.723.1-0ubuntu4 fully patched up via update-manager including kernel other than the upgrade to 2:8.723.1-0ubuntu5 - all working fine.
installed this update and i no longer have a bootable instance other than in safe mode.
trying to revert to 2:8.723.1-0ubuntu3 fails to install with similar symptoms as described above.
2:8.723.1-0ubuntu4 no longer available (and probably wouldn't help matters)
suggest 2:8.723.1-0ubuntu5 is withdrawn until further testing has occurred as the cure is worse than the disease in this scenario.

deltatux (deltatux) wrote :

@danielle, thanks, that fix actually worked. Many thanks.

Will there be a patch for 8.771 because I think 8.723 is like Catalyst 10.4 or something eh?

Thanks,
deltatux

fyi i will add to my #78 above, that a fresh wubi 10.04.1 install, followed by enabling restricted drivers to allow fglrx, does successfully install 2:8.723.1-0ubuntu5 against kernel 2.6.32-24.39 and i have a working system again.
i'm wary about upgrading kernel yet, as i need a working system for the next couple of weeks.

  • dmesg Edit (29.6 KiB, text/plain; name="dmesg"; charset="UTF-8")
  • ldconfig -p | grep GL Edit (453 bytes, text/plain; name="ldconfig -p | grep GL"; charset="UTF-8")
  • lsmod Edit (2.8 KiB, text/plain; name="lsmod"; charset="UTF-8")
  • Xorg.0.log Edit (62.4 KiB, text/x-log; name="Xorg.0.log"; charset="UTF-8")
Download full text (4.2 KiB)

Files are attached

On Wed, 2010-09-22 at 07:08 +0000, Alberto Milone wrote:
> @deltatux, Ian: please attach the following files:
> 1) your /var/log/Xorg.0.log
> 2) the output of "dmesg"
> 3) the output of "lsmod"
> 4) the output of "ldconfig -p | grep GL"
>
> ** Changed in: fglrx-installer (Ubuntu Lucid)
> Assignee: canon (canonnem) => Alberto Milone (albertomilone)
>
> --
> [MASTER] package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade: Kernel fix for CVE-2010-3081 breaks fglrx
> https://bugs.launchpad.net/bugs/642518
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (643059).
>
> Status in “fglrx-installer” package in Ubuntu: Triaged
> Status in “linux-restricted-modules-2.6.24” package in Ubuntu: Invalid
> Status in “linux-restricted-modules-envy-2.6.24” package in Ubuntu: Invalid
> Status in “fglrx-installer” source package in Lucid: Fix Committed
> Status in “linux-restricted-modules-2.6.24” source package in Lucid: Invalid
> Status in “linux-restricted-modules-envy-2.6.24” source package in Lucid: Invalid
> Status in “fglrx-installer” source package in Hardy: Invalid
> Status in “linux-restricted-modules-2.6.24” source package in Hardy: Fix Committed
> Status in “linux-restricted-modules-envy-2.6.24” source package in Hardy: Fix Committed
> Status in “fglrx-installer” source package in Jaunty: Fix Committed
> Status in “linux-restricted-modules-2.6.24” source package in Jaunty: Invalid
> Status in “linux-restricted-modules-envy-2.6.24” source package in Jaunty: Invalid
> Status in “fglrx-installer” source package in Karmic: Fix Committed
> Status in “linux-restricted-modules-2.6.24” source package in Karmic: Invalid
> Status in “linux-restricted-modules-envy-2.6.24” source package in Karmic: Invalid
>
> Bug description:
> SRU Justification:
>
> Impact: Due to kernel changes for CVE-2010-3081 a function that was an inline before has changed to a GPL only function. The fglrx driver cannot link against this and fails to compile. In fglrx only the old inlines (which have been renamed) may be used but those would lack the additional checks.
>
> Fix: Add code to detect whether the fglrx driver is compiled against a kernel which has this change and use the old inlines in this case. Add the additional checks from the CVE to the driver wrapper, so the hardening is done in any case.
>
> Testcase: Compile of 64bit fglrx driver fails with an error without this change.
>
> ---
>
> will not compile for this version of the linux kernal
>
> ProblemType: Package
> DistroRelease: Ubuntu 10.04
> Package: fglrx 2:8.723.1-0ubuntu4
> ProcVersionSignature: Ubuntu 2.6.32-24.43-generic 2.6.32.15+drm33.5
> Uname: Linux 2.6.32-24-generic x86_64
> NonfreeKernelModules: wl
> Architecture: amd64
> Date: Sat Sep 18 23:31:16 2010
> DkmsStatus:
> fglrx, 8.723.1: added
> bcmwl, 5.60.48.36+bdcom, 2.6.32-24-generic, x86_64: installed
> vboxnetflt, 3.2.8, 2.6.32-24-generic, x86_64: installed
> vboxnetadp, 3.2.8, 2.6.32-24-generic, x86_64: installed
> vboxdrv, 3.2.8, 2.6.32-24-generic, x86_64: installed
> ErrorMessage: fglrx kernel module failed to build
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx...

Read more...

k-m (k-m) wrote :

was having the same issue as reported above. I updated to the kernel 2.6.32-25 x86_64, I have the working driver 2:8.723.1-0ubuntu5, whenever I try to update the fglrx from the ppa:ubuntu-x-swat/x-updates repository, i get the error dpkg: error processing fglrx (--configure): subprocess installed post-installation script returned error exit status 10. I understand the fix is with the 2:8.723-1 but are there plans to get the fix as well for the 2:8.771-0ubuntu0, because since this issue, the graphics card is not responding as smoothly, compiz is really laggy compared to about 2 weeks ago.

Lumenary (nx-kadams) wrote :

@Evan Broder,Alberto Milone:

With regard to version

........ fglrx-installer-2:8.771-0ubuntu0sarvatt~lucid

as hosted by the Ubuntu X-Swat PPA, I have created a diff/patch for 8.771 that I hope will work. It employs Evan's patches for the three files:

........ kcl_ioctl.c
........ make.sh
........ Makefile

and updates the changelog.

The diff/patch is attached to this post.

If anyone has a machine that they can use for testing, please add the LaunchPad Ubuntu X-Swat PPA ("deb-src" line = "source code") and PPA key for Lucid to your repositories, download the source for 8.771, then apply the attached patch. You can do this using steps similar to those given in Post #14.

(Warning: The steps are not identical, you will need to make some adjustments. In particular, the

........ wget

line will need to change. If you only have production machines, you probably don't want to mess around with this diff/patch until it gets the OK from a few experienced Ubuntu-X team members.)

Nothing urgent, but if anyone can provide any feedback, then many thanks.

QIII (qiii) wrote :

Fortunately, I keep my ear to the ground and was aware of this problem before I updated. I would have been able to dig myself out of it, but it would certainly have raised by blood pressure.

Since the fix was made available in -updates, this worked for me:

Completely uninstall Catalyst 10.9.

Reinstall Catalyst 10.4 from the repo.

Perform updates.

Restart.

I am not going to move forward with installing the later Catalyst versions at this point.

But I must say something, and I hope the developers and MOTUs will take this as constructive criticism. I understand that you all work very hard, and I appreciate that. I admire you.

Lucid is an LTS. People expect it to be stable. They do not expect that some strange-sounding thing like compat_alloc_user_space, which they don't know from a hole in the ground, should change suddenly, causing them to have difficulty with their video driver. Understandably, this is difficult with driver versions later than the ones in the repos, but changes should work at least with what is in the repos. The driver affected, per the original bug report, is the one that is in the Lucid repo. CVE-2010-3081 is a critical bug fix that plugs a hole that can allow a nefarious outside user to root an exploited machine. The likelihood that someone's personal machine would be attacked is small, but it is real. This whole thing would have gone right past a headless server without notice.

A critical update to the kernel was needed and provided. Unwitting users, perhaps with little tech know-how, diligently updated their machines and broke their ATI drivers because there was a change in other files that kept the driver from being compiled against the kernel correctly. They were left with machines that would not operate as expected. They were first offered a patch, which many might not have understood how to apply. Finally some 24 - 36 hours later, they were given an update that works with the driver in the repo. Their ability to use it depends somewhat on whether they are able to get themselves out of whatever mire they may have gotten themselves into in the meantime.

Sorry, guys, but this smells very strongly of failure coordinate effort and conduct appropriate testing.

I've been doing the computer gig for 35 years. This is just not the sort of thing I find acceptable.

agrees whole heartedly i bonged my install because if it, i was not a happy
camper if ubuntu wants to become mainstream things like that need not to
happen, imagine if Microsoft would do such a thing it would be front page
news,i almost gave up on ubuntu this time instead i went back to 9.10 i
mean wtf

On Sep 23, 2010 12:13am, QIII <email address hidden> wrote:
> Fortunately, I keep my ear to the ground and was aware of this problem

> before I updated. I would have been able to dig myself out of it, but

> it would certainly have raised by blood pressure.

> Since the fix was made available in -updates, this worked for me:

> Completely uninstall Catalyst 10.9.

> Reinstall Catalyst 10.4 from the repo.

> Perform updates.

> Restart.

> I am not going to move forward with installing the later Catalyst

> versions at this point.

> But I must say something, and I hope the developers and MOTUs will take

> this as constructive criticism. I understand that you all work very

> hard, and I appreciate that. I admire you.

> Lucid is an LTS. People expect it to be stable. They do not expect

> that some strange-sounding thing like compat_alloc_user_space, which

> they don't know from a hole in the ground, should change suddenly,

> causing them to have difficulty with their video driver.

> Understandably, this is difficult with driver versions later than the

> ones in the repos, but changes should work at least with what is in the

> repos. The driver affected, per the original bug report, is the one

> that is in the Lucid repo. CVE-2010-3081 is a critical bug fix that

> plugs a hole that can allow a nefarious outside user to root an

> exploited machine. The likelihood that someone's personal machine would

> be attacked is small, but it is real. This whole thing would have gone

> right past a headless server without notice.

> A critical update to the kernel was needed and provided. Unwitting

> users, perhaps with little tech know-how, diligently updated their

> machines and broke their ATI drivers because there was a change in other

> files that kept the driver from being compiled against the kernel

> correctly. They were left with machines that would not operate as

> expected. They were first offered a patch, which many might not have

> understood how to apply. Finally some 24 - 36 hours later, they were

> given an update that works with the driver in the repo. Their ability

> to use it depends somewhat on whether they are able to get themselves

> out of whatever mire they may have gotten themselves into in the

> meantime.

> Sorry, guys, but this smells very strongly of failure coordinate effort

> and conduct appropriate testing.

> I've been doing the computer gig for 35 years. This is just not the

> sort of thing I find acceptable.

> --

> [MASTER] package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade:
> Kernel fix for CVE-2010-3081 breaks fglrx

> https://bugs.launchpad.net/bugs/642518

> You received this bug notification because you are a direct subscriber

> of a duplicate bug (644722).

Download full text (7.0 KiB)

I have recompiled fglrx 8.723.1 using instructions from Stefan Brozinski (
http://<email address hidden>/msg2514536.html ),
but for above version. During rebooting Ububtu 10.04 told me that it wants
to download in low resolution mode. Then I choose X-server restart and after
complete downloading
ATI driver works OK. In hadrware drivers section I seen that proprietar
ATI/AMD driver FGLRX is activated.
Only Mplayer was not working in full screen mode (I fixed it by choosing X11
in options), and also I can't to activate visual effects in GNOME.

But every time during rebooting Ubuntu wants to download in low resolution
mode, and then I must choose X-server restart during download. Is it
necessary to run "Xorg -configure"?

2010/9/23 QIII <email address hidden>

> Fortunately, I keep my ear to the ground and was aware of this problem
> before I updated. I would have been able to dig myself out of it, but
> it would certainly have raised by blood pressure.
>
> Since the fix was made available in -updates, this worked for me:
>
> Completely uninstall Catalyst 10.9.
>
> Reinstall Catalyst 10.4 from the repo.
>
> Perform updates.
>
> Restart.
>
> I am not going to move forward with installing the later Catalyst
> versions at this point.
>
> But I must say something, and I hope the developers and MOTUs will take
> this as constructive criticism. I understand that you all work very
> hard, and I appreciate that. I admire you.
>
> Lucid is an LTS. People expect it to be stable. They do not expect
> that some strange-sounding thing like compat_alloc_user_space, which
> they don't know from a hole in the ground, should change suddenly,
> causing them to have difficulty with their video driver.
> Understandably, this is difficult with driver versions later than the
> ones in the repos, but changes should work at least with what is in the
> repos. The driver affected, per the original bug report, is the one
> that is in the Lucid repo. CVE-2010-3081 is a critical bug fix that
> plugs a hole that can allow a nefarious outside user to root an
> exploited machine. The likelihood that someone's personal machine would
> be attacked is small, but it is real. This whole thing would have gone
> right past a headless server without notice.
>
> A critical update to the kernel was needed and provided. Unwitting
> users, perhaps with little tech know-how, diligently updated their
> machines and broke their ATI drivers because there was a change in other
> files that kept the driver from being compiled against the kernel
> correctly. They were left with machines that would not operate as
> expected. They were first offered a patch, which many might not have
> understood how to apply. Finally some 24 - 36 hours later, they were
> given an update that works with the driver in the repo. Their ability
> to use it depends somewhat on whether they are able to get themselves
> out of whatever mire they may have gotten themselves into in the
> meantime.
>
> Sorry, guys, but this smells very strongly of failure coordinate effort
> and conduct appropriate testing.
>
> I've been doing the computer gig for 35 years. This is just not the
...

Read more...

stevenwr38 (stevenkykid) wrote :

those of you haveing an issue with installing the repo driver apply post 14 patch only thing is it will not upgrade you have to apt-get remove fglrx and the fglrx-ccc thats installed after the install jockey will show the repo version installed and active

Ive tried the Xswat driver today with Ubuntu 10.4 lucid and it failed to install even after i completely removed the already patched driver from post #14 it failed so i disabled the updates from xswat for now till things get settled in with the official fix odd thing is that even ati will have to fix thier on driver over this same issue they have posted it does not work for me as well.

so guess im stuck with a driver thats a bit out of date but after 4 clean installs in this machine cause i thought it might be somthing i did wrong im very glad to have it working.

Can anyone tell me why there would be about 17 diffrent video drivers installed and is it safe to remove them all other then the one you need. Im still new to linux its only been a few months but looks like to me it would cause issues with the real driver and card your useing.

Download full text (7.5 KiB)

being the person "low tech know how etc" that you described i do agree with
you, although i dont want to seem as harsh as you appear.

to be honest i still have not fixed this issue, i can only use low graphics
modes, and thats only with 2 kernals. the lastest kernal will not give me a
login screen etc.. not that i can see anyway as on boot the graphics are
F***** and either display 1.a totaly pixelated screen or 2.a total white one

:-(

On Thu, Sep 23, 2010 at 6:26 AM, daddymio <email address hidden> wrote:

> agrees whole heartedly i bonged my install because if it, i was not a happy
> camper if ubuntu wants to become mainstream things like that need not to
> happen, imagine if Microsoft would do such a thing it would be front page
> news,i almost gave up on ubuntu this time instead i went back to 9.10 i
> mean wtf
>
> On Sep 23, 2010 12:13am, QIII <email address hidden> wrote:
> > Fortunately, I keep my ear to the ground and was aware of this problem
>
> > before I updated. I would have been able to dig myself out of it, but
>
> > it would certainly have raised by blood pressure.
>
>
> > Since the fix was made available in -updates, this worked for me:
>
>
> > Completely uninstall Catalyst 10.9.
>
>
> > Reinstall Catalyst 10.4 from the repo.
>
>
> > Perform updates.
>
>
> > Restart.
>
>
> > I am not going to move forward with installing the later Catalyst
>
> > versions at this point.
>
>
> > But I must say something, and I hope the developers and MOTUs will
> take
>
> > this as constructive criticism. I understand that you all work very
>
> > hard, and I appreciate that. I admire you.
>
>
> > Lucid is an LTS. People expect it to be stable. They do not expect
>
> > that some strange-sounding thing like compat_alloc_user_space, which
>
> > they don't know from a hole in the ground, should change suddenly,
>
> > causing them to have difficulty with their video driver.
>
> > Understandably, this is difficult with driver versions later than the
>
> > ones in the repos, but changes should work at least with what is in
> the
>
> > repos. The driver affected, per the original bug report, is the one
>
> > that is in the Lucid repo. CVE-2010-3081 is a critical bug fix that
>
> > plugs a hole that can allow a nefarious outside user to root an
>
> > exploited machine. The likelihood that someone's personal machine
> would
>
> > be attacked is small, but it is real. This whole thing would have gone
>
> > right past a headless server without notice.
>
>
> > A critical update to the kernel was needed and provided. Unwitting
>
> > users, perhaps with little tech know-how, diligently updated their
>
> > machines and broke their ATI drivers because there was a change in
> other
>
> > files that kept the driver from being compiled against the kernel
>
> > correctly. They were left with machines that would not operate as
>
> > expected. They were first offered a patch, which many might not have
>
> > understood how to apply. Finally some 24 - 36 hours later, they were
>
> > given an update that works with the driver in the repo. Their ability
>
> > to use it depends somewhat on whether they are able to get themselves
>
> > out of whatever mire they may ha...

Read more...

Download full text (5.3 KiB)

tleast yours works. i am new to unix desktop but not that newbie.
no patch, no post and no update has helped me as of yet. i have a nice
looking ubuntu 10.4 and a laptop yet i cant do nothing on it :-(

On Thu, Sep 23, 2010 at 7:57 AM, stevenwr38 <email address hidden>wrote:

> those of you haveing an issue with installing the repo driver apply post
> 14 patch only thing is it will not upgrade you have to apt-get remove
> fglrx and the fglrx-ccc thats installed after the install jockey will
> show the repo version installed and active
>
>
> Ive tried the Xswat driver today with Ubuntu 10.4 lucid and it failed to
> install even after i completely removed the already patched driver from post
> #14 it failed so i disabled the updates from xswat for now till things get
> settled in with the official fix odd thing is that even ati will have to fix
> thier on driver over this same issue they have posted it does not work for
> me as well.
>
> so guess im stuck with a driver thats a bit out of date but after 4
> clean installs in this machine cause i thought it might be somthing i
> did wrong im very glad to have it working.
>
> Can anyone tell me why there would be about 17 diffrent video drivers
> installed and is it safe to remove them all other then the one you need.
> Im still new to linux its only been a few months but looks like to me it
> would cause issues with the real driver and card your useing.
>
> --
> [MASTER] package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade: Kernel
> fix for CVE-2010-3081 breaks fglrx
> https://bugs.launchpad.net/bugs/642518
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (642148).
>
> Status in “fglrx-installer” package in Ubuntu: Triaged
> Status in “linux-restricted-modules-2.6.24” package in Ubuntu: Invalid
> Status in “linux-restricted-modules-envy-2.6.24” package in Ubuntu: Invalid
> Status in “fglrx-installer” source package in Lucid: Fix Released
> Status in “linux-restricted-modules-2.6.24” source package in Lucid:
> Invalid
> Status in “linux-restricted-modules-envy-2.6.24” source package in Lucid:
> Invalid
> Status in “fglrx-installer” source package in Hardy: Invalid
> Status in “linux-restricted-modules-2.6.24” source package in Hardy: Fix
> Committed
> Status in “linux-restricted-modules-envy-2.6.24” source package in Hardy:
> Fix Committed
> Status in “fglrx-installer” source package in Jaunty: Fix Committed
> Status in “linux-restricted-modules-2.6.24” source package in Jaunty:
> Invalid
> Status in “linux-restricted-modules-envy-2.6.24” source package in Jaunty:
> Invalid
> Status in “fglrx-installer” source package in Karmic: Fix Committed
> Status in “linux-restricted-modules-2.6.24” source package in Karmic:
> Invalid
> Status in “linux-restricted-modules-envy-2.6.24” source package in Karmic:
> Invalid
>
> Bug description:
> SRU Justification:
>
> Impact: Due to kernel changes for CVE-2010-3081 a function that was an
> inline before has changed to a GPL only function. The fglrx driver cannot
> link against this and fails to compile. In fglrx only the old inlines (which
> have been renamed) may be used but those would lack the addition...

Read more...

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer - 2:8.780-0ubuntu1

---------------
fglrx-installer (2:8.780-0ubuntu1) maverick; urgency=low

  * New upstream release.
    - Fix build issues with kernel fix for CVE-2010-3081 (LP: #642518).
    - Add compatibility with 2.6.35 kernels (LP: #573748).
    - Add compatibility with xserver 1.9 (LP: #630599).
  * Make the driver Depend on the appropriate xserver-xorg-video-$ABI
    (LP: #616215).
 -- Alberto Milone <email address hidden> Wed, 22 Sep 2010 18:28:32 +0200

Changed in fglrx-installer (Ubuntu):
status: Triaged → Fix Released
Randy (rbrickler) wrote :

I have purged patched fglrx and run the one from the repo. No problems with dkms. However, I don't know if I messed something up, or if somehow a regression got introduced, but my glxinfo says I am rendering indirect now. I have tried the suggestions on the unofficial linux driver wiki, but not getting anywhere. Here is what I am seeing:
~$ LIBGL_DEBUG=verbose fglrxinfo
libGL: OpenDriver: trying /usr/lib/fglrx/dri/tls/swrast_dri.so
libGL: OpenDriver: trying /usr/lib/fglrx/dri/swrast_dri.so
libGL error: dlopen /usr/lib/fglrx/dri/swrast_dri.so failed (/usr/lib/fglrx/dri/swrast_dri.so: cannot open shared object file: No such file or directory)
libGL: OpenDriver: trying /usr/lib32/fglrx/dri/tls/swrast_dri.so
libGL: OpenDriver: trying /usr/lib32/fglrx/dri/swrast_dri.so
libGL error: dlopen /usr/lib32/fglrx/dri/swrast_dri.so failed (/usr/lib32/fglrx/dri/swrast_dri.so: cannot open shared object file: No such file or directory)
libGL error: unable to load driver: swrast_dri.so
libGL error: reverting to indirect rendering
display: :0.0 screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: ATI Radeon HD 5700 Series
OpenGL version string: 1.4 (3.2.9756 Compatibility Profile Context)

Now when I create a symlink in the location that the libGL is looking for swrast_dri.so, to its actual location, I get an error like this:
$ LIBGL_DEBUG=verbose fglrxinfolibGL: OpenDriver: trying /usr/lib/fglrx/dri/tls/swrast_dri.so
libGL: OpenDriver: trying /usr/lib/fglrx/dri/swrast_dri.so
Error: couldn't find RGB GLX visual!

and this from glxgears:
Error: couldn't get an RGB, Double-buffered visual

Nicolas Boulesteix (noxx-free) wrote :

I'm under maverick.

Anybody could give info about when deb package could be available ?

I try to install the 8.780 but encounting some errors ?

I do like describe in #14 with some adjustment :

I don't download patch, I uncompress "fglrx-installer_8.780-0ubuntu1.diff.gz" downloaded when I did "apt-get source fglrx".

Instead of "../fglrx-installer_8.723.1-0ubuntu5.debdiff" I use for the patch command "../fglrx-installer_8.780-0ubuntu1.diff" (the name of uncrompressed file)

But when I do "debuild -uc -us" I get an error
************************************************************************************************
nicolas@nicolas-laptop:~/fglrx-installer/fglrx-installer-8.780$ debuild -uc -us
 dpkg-buildpackage -rfakeroot -D -us -uc
dpkg-buildpackage: export de CFLAGS depuis dpkg-buildflags (origine : vendor): -g -O2
dpkg-buildpackage: export de CPPFLAGS depuis dpkg-buildflags (origine : vendor):
dpkg-buildpackage: export de CXXFLAGS depuis dpkg-buildflags (origine : vendor): -g -O2
dpkg-buildpackage: export de FFLAGS depuis dpkg-buildflags (origine : vendor): -g -O2
dpkg-buildpackage: export de LDFLAGS depuis dpkg-buildflags (origine : vendor): -Wl,-Bsymbolic-functions
dpkg-buildpackage: paquet source fglrx-installer
dpkg-buildpackage: version source 2:8.780-0ubuntu1
dpkg-buildpackage: source changé par Alberto Milone <email address hidden>
 dpkg-source --before-build fglrx-installer-8.780
dpkg-buildpackage: architecture hôte amd64
dpkg-source: erreur: erreur de syntaxe dans fglrx-installer-8.780/debian/control à la ligne 68 : champ Section en double
dpkg-buildpackage: erreur: dpkg-source --before-build fglrx-installer-8.780 a produit une erreur de sortie de type 9
debuild: fatal error at line 1337:
dpkg-buildpackage -rfakeroot -D -us -uc failed
******************************************************************************************************

When I check "fglrx-installer-8.780/debian/control" line 68, I notice the control file, contain twice the same thing (after the modalias package, the file repeat one time see attachment)

If I keep only the 1 to 66, the debuild command works !

For installing, the command give me some dependence error, claiming dkms was not installed

Installing dkms and launch the command "sudo dpkg -i ../fglrx*.deb" seems to works finally.

I'll give more info if there's some matters after reboot

Thanks,

Nicolas

@Nicolas and those who are wondering, the build of the package for amd64 will start soon (39minutes) https://edge.launchpad.net/ubuntu/+source/fglrx-installer/2:8.780-0ubuntu1/+build/1971749 then the package needs to be published to the archive and the mirrors. So, please be patient. Thank you.

Nicolas Boulesteix (noxx-free) wrote :

Ok, there's no matter.

Initially, I get error when building, but now, I succeed to do.

After rebooting the install seems to work !

Thanks again !

Nicolas

Blue Print (blueprintac) wrote :
Download full text (4.8 KiB)

can someone tell me the best way to do a fresh install?
i have ubuntu 10.4 LTS Lucid amd64
insert cd install,
then go to updates - should i let it do this automatically or just address
the graphics issue first?
should i use update manager, synaptic manager or commandline? (apt-get)
what sources should i select? proposed or just the normal ones?
sorry for the noob questions, its just been the whole weekend and week of
trial and errors and no success.
to have a dual boot win/ubuntu should i do ubuntu first or win?
sony vaio vgn-fw21z

thanks

On Thu, Sep 23, 2010 at 1:58 PM, Jean-Baptiste Lallement <
<email address hidden>> wrote:

> @Nicolas and those who are wondering, the build of the package for amd64
> will start soon (39minutes) https://edge.launchpad.net/ubuntu/+source
> /fglrx-installer/2:8.780-0ubuntu1/+build/1971749 then the package needs
> to be published to the archive and the mirrors. So, please be patient.
> Thank you.
>
> --
> [MASTER] package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade: Kernel
> fix for CVE-2010-3081 breaks fglrx
> https://bugs.launchpad.net/bugs/642518
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (642148).
>
> Status in “fglrx-installer” package in Ubuntu: Fix Released
> Status in “linux-restricted-modules-2.6.24” package in Ubuntu: Invalid
> Status in “linux-restricted-modules-envy-2.6.24” package in Ubuntu: Invalid
> Status in “fglrx-installer” source package in Lucid: Fix Released
> Status in “linux-restricted-modules-2.6.24” source package in Lucid:
> Invalid
> Status in “linux-restricted-modules-envy-2.6.24” source package in Lucid:
> Invalid
> Status in “fglrx-installer” source package in Hardy: Invalid
> Status in “linux-restricted-modules-2.6.24” source package in Hardy: Fix
> Committed
> Status in “linux-restricted-modules-envy-2.6.24” source package in Hardy:
> Fix Committed
> Status in “fglrx-installer” source package in Jaunty: Fix Committed
> Status in “linux-restricted-modules-2.6.24” source package in Jaunty:
> Invalid
> Status in “linux-restricted-modules-envy-2.6.24” source package in Jaunty:
> Invalid
> Status in “fglrx-installer” source package in Karmic: Fix Committed
> Status in “linux-restricted-modules-2.6.24” source package in Karmic:
> Invalid
> Status in “linux-restricted-modules-envy-2.6.24” source package in Karmic:
> Invalid
>
> Bug description:
> SRU Justification:
>
> Impact: Due to kernel changes for CVE-2010-3081 a function that was an
> inline before has changed to a GPL only function. The fglrx driver cannot
> link against this and fails to compile. In fglrx only the old inlines (which
> have been renamed) may be used but those would lack the additional checks.
>
> Fix: Add code to detect whether the fglrx driver is compiled against a
> kernel which has this change and use the old inlines in this case. Add the
> additional checks from the CVE to the driver wrapper, so the hardening is
> done in any case.
>
> Testcase: Compile of 64bit fglrx driver fails with an error without this
> change.
>
> ---
>
> will not compile for this version of the linux kernal
>
> ProblemType: Package
> DistroRelease: Ubuntu 10.04
...

Read more...

Lumenary (nx-kadams) wrote :

@Jean-Baptiste:

> ... the build of the package for amd64 will start soon (39minutes) https://edge.launchpad.net/ubuntu/+source/fglrx-installer/2:8.780-0ubuntu1/+build/1971749 then the package needs to be published to the archive and the mirrors.

Are any of the less "bleeding-edge" packages going to be updated on

........ /~ubuntu-x-swat/+archive/x-updates

or is the fix going to be focused on just the most recent versions (c.f. my patch for 8.771, post #83)?

@luminary, this bug report is about the supported versions of the package, I mean those coming from an official repository. The X-Swat will probably fix the version from their PPA but you'd better ask on #ubuntu-x

@Blue Print: It seems that you need a support of some sort, and a bug report is not the right place for it. It would make more sense to raise problems you are having in the support tracker at https://answers.launchpad.net/ubuntu, of ubuntu forum or on IRC #ubuntu. Thanks for your understanding.

Catanius (v-brustmeier) wrote :
Download full text (5.2 KiB)

the best is a usb startmedia done with another ubuntu or unetbootin.
is there a wecam in that sony? that can be a little tricky.
maybe you to patch the kernel for special devices.
but why do you want to use windoze?

good luck
Catanius

Am 23.09.2010 15:16, schrieb Blue Print:
> can someone tell me the best way to do a fresh install?
> i have ubuntu 10.4 LTS Lucid amd64
> insert cd install,
> then go to updates - should i let it do this automatically or just address
> the graphics issue first?
> should i use update manager, synaptic manager or commandline? (apt-get)
> what sources should i select? proposed or just the normal ones?
> sorry for the noob questions, its just been the whole weekend and week of
> trial and errors and no success.
> to have a dual boot win/ubuntu should i do ubuntu first or win?
> sony vaio vgn-fw21z
>
> thanks
>
>
> On Thu, Sep 23, 2010 at 1:58 PM, Jean-Baptiste Lallement<
> <email address hidden>> wrote:
>
>
>> @Nicolas and those who are wondering, the build of the package for amd64
>> will start soon (39minutes) https://edge.launchpad.net/ubuntu/+source
>> /fglrx-installer/2:8.780-0ubuntu1/+build/1971749 then the package needs
>> to be published to the archive and the mirrors. So, please be patient.
>> Thank you.
>>
>> --
>> [MASTER] package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade: Kernel
>> fix for CVE-2010-3081 breaks fglrx
>> https://bugs.launchpad.net/bugs/642518
>> You received this bug notification because you are a direct subscriber
>> of a duplicate bug (642148).
>>
>> Status in “fglrx-installer” package in Ubuntu: Fix Released
>> Status in “linux-restricted-modules-2.6.24” package in Ubuntu: Invalid
>> Status in “linux-restricted-modules-envy-2.6.24” package in Ubuntu: Invalid
>> Status in “fglrx-installer” source package in Lucid: Fix Released
>> Status in “linux-restricted-modules-2.6.24” source package in Lucid:
>> Invalid
>> Status in “linux-restricted-modules-envy-2.6.24” source package in Lucid:
>> Invalid
>> Status in “fglrx-installer” source package in Hardy: Invalid
>> Status in “linux-restricted-modules-2.6.24” source package in Hardy: Fix
>> Committed
>> Status in “linux-restricted-modules-envy-2.6.24” source package in Hardy:
>> Fix Committed
>> Status in “fglrx-installer” source package in Jaunty: Fix Committed
>> Status in “linux-restricted-modules-2.6.24” source package in Jaunty:
>> Invalid
>> Status in “linux-restricted-modules-envy-2.6.24” source package in Jaunty:
>> Invalid
>> Status in “fglrx-installer” source package in Karmic: Fix Committed
>> Status in “linux-restricted-modules-2.6.24” source package in Karmic:
>> Invalid
>> Status in “linux-restricted-modules-envy-2.6.24” source package in Karmic:
>> Invalid
>>
>> Bug description:
>> SRU Justification:
>>
>> Impact: Due to kernel changes for CVE-2010-3081 a function that was an
>> inline before has changed to a GPL only function. The fglrx driver cannot
>> link against this and fails to compile. In fglrx only the old inlines (which
>> have been renamed) may be used but those would lack the additional checks.
>>
>> Fix: Add code to detect whether the fglrx driver is compiled against a
>> kernel which ha...

Read more...

SRU verification for Hardy:
I have reproduced the problem with linux-restricted-modules-2.6.24 2.6.24.18-28.6 in hardy-updates and have verified that the version of linux-restricted-modules-2.6.24 2.6.24.18-28.7 and linux-restricted-modules-envy-2.6.24 2.6.24.503-503.32 in -proposed fixes the issue.

The modules builds fine, it loads and activates correctly after a reboot.
But the following error appears in the make.log (see attached file for details)
---
doing Makefile based build for kernel 2.6.x and higher
grep: /include/linux/compat.h: No such file or directory
---

Waiting for the confirmation of a developer before marking verification failed or done for hardy.

A new version of linux-restricted-modules-envy-2.6.24 in hardy will be uploaded.

I have uploaded linux-restricted-modules-envy-2.6.24 (2.6.24.503-503.33) which solves the problem reported by Jean-Baptiste.

Artemiy Solopov (art-solopov) wrote :

Upgraded today to linux-2.6.32-25 and fglrx via Update Manager. Everything seems to work OK, thank you developers! :-)

QIII (qiii) wrote :

@ blue print

Your question on reinstalling would probably best be handled on ubuntuforums.

In your post, make a reference to this bug report and specifically to your post #95.

If I have a chance, I'll look for you post there and lend a hand. If I don't, there are a lot of other people who would be happy to help.

Blue Print (blueprintac) wrote :
Download full text (4.3 KiB)

many thanks im trying windows first then wubi i think for ubuntu :-)

On Thu, Sep 23, 2010 at 6:56 PM, QIII <email address hidden> wrote:

> @ blue print
>
> Your question on reinstalling would probably best be handled on
> ubuntuforums.
>
> In your post, make a reference to this bug report and specifically to
> your post #95.
>
> If I have a chance, I'll look for you post there and lend a hand. If I
> don't, there are a lot of other people who would be happy to help.
>
> --
> [MASTER] package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade: Kernel
> fix for CVE-2010-3081 breaks fglrx
> https://bugs.launchpad.net/bugs/642518
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (642148).
>
> Status in “fglrx-installer” package in Ubuntu: Fix Released
> Status in “linux-restricted-modules-2.6.24” package in Ubuntu: Invalid
> Status in “linux-restricted-modules-envy-2.6.24” package in Ubuntu: Invalid
> Status in “fglrx-installer” source package in Lucid: Fix Released
> Status in “linux-restricted-modules-2.6.24” source package in Lucid:
> Invalid
> Status in “linux-restricted-modules-envy-2.6.24” source package in Lucid:
> Invalid
> Status in “fglrx-installer” source package in Hardy: Invalid
> Status in “linux-restricted-modules-2.6.24” source package in Hardy: Fix
> Committed
> Status in “linux-restricted-modules-envy-2.6.24” source package in Hardy:
> Fix Committed
> Status in “fglrx-installer” source package in Jaunty: Fix Committed
> Status in “linux-restricted-modules-2.6.24” source package in Jaunty:
> Invalid
> Status in “linux-restricted-modules-envy-2.6.24” source package in Jaunty:
> Invalid
> Status in “fglrx-installer” source package in Karmic: Fix Committed
> Status in “linux-restricted-modules-2.6.24” source package in Karmic:
> Invalid
> Status in “linux-restricted-modules-envy-2.6.24” source package in Karmic:
> Invalid
>
> Bug description:
> SRU Justification:
>
> Impact: Due to kernel changes for CVE-2010-3081 a function that was an
> inline before has changed to a GPL only function. The fglrx driver cannot
> link against this and fails to compile. In fglrx only the old inlines (which
> have been renamed) may be used but those would lack the additional checks.
>
> Fix: Add code to detect whether the fglrx driver is compiled against a
> kernel which has this change and use the old inlines in this case. Add the
> additional checks from the CVE to the driver wrapper, so the hardening is
> done in any case.
>
> Testcase: Compile of 64bit fglrx driver fails with an error without this
> change.
>
> ---
>
> will not compile for this version of the linux kernal
>
> ProblemType: Package
> DistroRelease: Ubuntu 10.04
> Package: fglrx 2:8.723.1-0ubuntu4
> ProcVersionSignature: Ubuntu 2.6.32-24.43-generic 2.6.32.15+drm33.5
> Uname: Linux 2.6.32-24-generic x86_64
> NonfreeKernelModules: wl
> Architecture: amd64
> Date: Sat Sep 18 23:31:16 2010
> DkmsStatus:
> fglrx, 8.723.1: added
> bcmwl, 5.60.48.36+bdcom, 2.6.32-24-generic, x86_64: installed
> vboxnetflt, 3.2.8, 2.6.32-24-generic, x86_64: installed
> vboxnetadp, 3.2.8, 2.6.32-24-generic, x86_64: installed
> vboxdrv, 3.2.8, 2.6.32-24-...

Read more...

Agronskey Hooper (redxsage) wrote :

Hi, All! I read through many of the posts here, but I'm not sure if my issue is unique or not... Yesterday morning I was prompted to upgrade to most recent FGLRX driver, then reboot. After reboot audio devices were missing, both motherboard (primary) and HDMI audio (not used). After second reboot to troubleshoot my situation I found the the graphics performance was degraded to slideshow levels, and audio still does not function.

It would appear that since my audio and graphics were working fine with the previous driver, I should not have 'upgraded' at all. I see from what has been posted that it just seems to be an issue of scripting the ATi Catalyst install in such a manner to prevent a possible exploit taking place also overlooked that the distribution of the driver might need to check more than one place for resources.

I'm just wondering though if anyone else had issues with audio, and if so, whether those issues were resolved by the latest fix in the Ubuntu repositories as noted above. Thanks!

My System:
Ubuntu 10.04 LTS
ASUS 3650 HD Silent 512 MB AGP Graphics Card
(02:00.0 VGA compatible controller [0300]: ATI Technologies Inc RV635 PRO AGP [Radeon HD 3650] [1002:9596])
Athlon/Sempron 2.0 GHz
2.5 GiB RAM
Abit NF7-S2 nForce 2 Motherboard

Verification for Hardy:
The latest version of linux-restricted-modules-2.6.24 2.6.24.18-28.7 and linux-restricted-modules-envy-2.6.24 2.6.24.503-503.33 in hardy-proposed fixes the issue.

Marking as verification-done

tags: added: verification-done
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-restricted-modules-2.6.24 - 2.6.24.18-28.7

---------------
linux-restricted-modules-2.6.24 (2.6.24.18-28.7) hardy-proposed; urgency=low

  [Stefan Bader]

  * SAUCE: Fix fglrx compilation on 64bit after CVE-2010-3081
    - LP: #642518
 -- Stefan Bader <email address hidden> Tue, 21 Sep 2010 13:19:30 +0000

Changed in linux-restricted-modules-2.6.24 (Ubuntu Hardy):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-restricted-modules-envy-2.6.24 - 2.6.24.503-503.33

---------------
linux-restricted-modules-envy-2.6.24 (2.6.24.503-503.33) hardy-proposed; urgency=low

  * ati/patches/5-detect-compat-alloc-user-space.patch:
    - Suppress errors from grep in the Makefile when it doesn't find
      compat.h because $srctree hasn't been set yet (DKMS builds the
      module correctly afterwards). This is just a cosmetic change
      (LP: #642518). Thanks to Jean-Baptiste Lallement for spotting
      the annoying message.
 -- Alberto Milone <email address hidden> Thu, 23 Sep 2010 17:03:07 +0200

Changed in linux-restricted-modules-envy-2.6.24 (Ubuntu Hardy):
status: Fix Committed → Fix Released

SRU verification for Karmic:
I have reproduced the problem with fglrx-installer 2:8.660-0ubuntu4 in karmic and have verified that the version of fglrx-installer 2:8.660-0ubuntu4.1 in -proposed fixes the issue.
The module builds fine but I have not been able to test it because I'm affected by bug 284408 in Karmic (that's not a regression because the previous version can't be loaded)

Marking as verification-done

Benjamin (xzaninou) wrote :

Thank you for your quick fix. I have fglrx installed now but i can't activate compiz. It's not a big deal. I'll wait for the final release of Maverick. Thank you all for this excellent distribution ! :)

Yes, the problem is that compiz still don't work..

Il 24/09/2010 21:28, Benjamin ha scritto:
> Thank you for your quick fix. I have fglrx installed now but i can't
> activate compiz. It's not a big deal. I'll wait for the final release of
> Maverick. Thank you all for this excellent distribution ! :)
>
>

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer - 2:8.660-0ubuntu4.1

---------------
fglrx-installer (2:8.660-0ubuntu4.1) karmic-proposed; urgency=low

  * Add compat_alloc_cve-2010-3081.patch:
    - Work around the lack of compat_alloc_user_space() in asm/compat.h
      after the fix for CVE-2010-3081 (LP: #642518). Thanks to Evan Broder
      and Stefan Bader for the patch.
 -- Alberto Milone <email address hidden> Tue, 21 Sep 2010 18:05:26 +0200

Changed in fglrx-installer (Ubuntu Karmic):
status: Fix Committed → Fix Released
Download full text (5.0 KiB)

well i reinstalled vista (although i hate it, i need it for some programs)
i used wubi and another partition, done one update on ubuntu lucid 10.4,
didnt change the sources other then proposed, and on the second reboot the
fglrx / ati work fine

not sure if its because windows being done first (this worked twice now
prior to bug) but it seems fixed. last time removing windows destroyed the
system.

none the less thanks and im impressed the time you guys took to respond
regardless of the fix not working for me

On Sat, Sep 25, 2010 at 10:39 AM, Launchpad Bug Tracker <
<email address hidden>> wrote:

> This bug was fixed in the package fglrx-installer - 2:8.660-0ubuntu4.1
>
> ---------------
> fglrx-installer (2:8.660-0ubuntu4.1) karmic-proposed; urgency=low
>
> * Add compat_alloc_cve-2010-3081.patch:
> - Work around the lack of compat_alloc_user_space() in asm/compat.h
> after the fix for CVE-2010-3081 (LP: #642518). Thanks to Evan Broder
> and Stefan Bader for the patch.
> -- Alberto Milone <email address hidden> Tue, 21 Sep 2010
> 18:05:26 +0200
>
> ** Changed in: fglrx-installer (Ubuntu Karmic)
> Status: Fix Committed => Fix Released
>
> --
> [MASTER] package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade: Kernel
> fix for CVE-2010-3081 breaks fglrx
> https://bugs.launchpad.net/bugs/642518
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (642148).
>
> Status in “fglrx-installer” package in Ubuntu: Fix Released
> Status in “linux-restricted-modules-2.6.24” package in Ubuntu: Invalid
> Status in “linux-restricted-modules-envy-2.6.24” package in Ubuntu: Invalid
> Status in “fglrx-installer” source package in Lucid: Fix Released
> Status in “linux-restricted-modules-2.6.24” source package in Lucid:
> Invalid
> Status in “linux-restricted-modules-envy-2.6.24” source package in Lucid:
> Invalid
> Status in “fglrx-installer” source package in Hardy: Invalid
> Status in “linux-restricted-modules-2.6.24” source package in Hardy: Fix
> Released
> Status in “linux-restricted-modules-envy-2.6.24” source package in Hardy:
> Fix Released
> Status in “fglrx-installer” source package in Jaunty: Fix Committed
> Status in “linux-restricted-modules-2.6.24” source package in Jaunty:
> Invalid
> Status in “linux-restricted-modules-envy-2.6.24” source package in Jaunty:
> Invalid
> Status in “fglrx-installer” source package in Karmic: Fix Released
> Status in “linux-restricted-modules-2.6.24” source package in Karmic:
> Invalid
> Status in “linux-restricted-modules-envy-2.6.24” source package in Karmic:
> Invalid
>
> Bug description:
> SRU Justification:
>
> Impact: Due to kernel changes for CVE-2010-3081 a function that was an
> inline before has changed to a GPL only function. The fglrx driver cannot
> link against this and fails to compile. In fglrx only the old inlines (which
> have been renamed) may be used but those would lack the additional checks.
>
> Fix: Add code to detect whether the fglrx driver is compiled against a
> kernel which has this change and use the old inlines in this case. Add the
> additional checks from the CVE to the driver wrapper, so the hardening is
...

Read more...

Catanius (v-brustmeier) wrote :
Download full text (5.4 KiB)

well, windoze has nothing to do with that.
removing windows destroys systems because
they use worse filesystems.
what you are decribing is just probability.
no one needs windoze, believe me.

C

Am 25.09.2010 11:59, schrieb Blue Print:
> well i reinstalled vista (although i hate it, i need it for some programs)
> i used wubi and another partition, done one update on ubuntu lucid 10.4,
> didnt change the sources other then proposed, and on the second reboot the
> fglrx / ati work fine
>
> not sure if its because windows being done first (this worked twice now
> prior to bug) but it seems fixed. last time removing windows destroyed the
> system.
>
> none the less thanks and im impressed the time you guys took to respond
> regardless of the fix not working for me
>
> On Sat, Sep 25, 2010 at 10:39 AM, Launchpad Bug Tracker<
> <email address hidden>> wrote:
>
>
>> This bug was fixed in the package fglrx-installer - 2:8.660-0ubuntu4.1
>>
>> ---------------
>> fglrx-installer (2:8.660-0ubuntu4.1) karmic-proposed; urgency=low
>>
>> * Add compat_alloc_cve-2010-3081.patch:
>> - Work around the lack of compat_alloc_user_space() in asm/compat.h
>> after the fix for CVE-2010-3081 (LP: #642518). Thanks to Evan Broder
>> and Stefan Bader for the patch.
>> -- Alberto Milone<email address hidden> Tue, 21 Sep 2010
>> 18:05:26 +0200
>>
>> ** Changed in: fglrx-installer (Ubuntu Karmic)
>> Status: Fix Committed => Fix Released
>>
>> --
>> [MASTER] package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade: Kernel
>> fix for CVE-2010-3081 breaks fglrx
>> https://bugs.launchpad.net/bugs/642518
>> You received this bug notification because you are a direct subscriber
>> of a duplicate bug (642148).
>>
>> Status in “fglrx-installer” package in Ubuntu: Fix Released
>> Status in “linux-restricted-modules-2.6.24” package in Ubuntu: Invalid
>> Status in “linux-restricted-modules-envy-2.6.24” package in Ubuntu: Invalid
>> Status in “fglrx-installer” source package in Lucid: Fix Released
>> Status in “linux-restricted-modules-2.6.24” source package in Lucid:
>> Invalid
>> Status in “linux-restricted-modules-envy-2.6.24” source package in Lucid:
>> Invalid
>> Status in “fglrx-installer” source package in Hardy: Invalid
>> Status in “linux-restricted-modules-2.6.24” source package in Hardy: Fix
>> Released
>> Status in “linux-restricted-modules-envy-2.6.24” source package in Hardy:
>> Fix Released
>> Status in “fglrx-installer” source package in Jaunty: Fix Committed
>> Status in “linux-restricted-modules-2.6.24” source package in Jaunty:
>> Invalid
>> Status in “linux-restricted-modules-envy-2.6.24” source package in Jaunty:
>> Invalid
>> Status in “fglrx-installer” source package in Karmic: Fix Released
>> Status in “linux-restricted-modules-2.6.24” source package in Karmic:
>> Invalid
>> Status in “linux-restricted-modules-envy-2.6.24” source package in Karmic:
>> Invalid
>>
>> Bug description:
>> SRU Justification:
>>
>> Impact: Due to kernel changes for CVE-2010-3081 a function that was an
>> inline before has changed to a GPL only function. The fglrx driver cannot
>> link against this and fails to compile. In fglrx only t...

Read more...

Recouper (grant-howat) wrote :

A new install from the 64bit Ubuntu mini installation with LXDE then installed, then installed FGLRX (2:8.723.1-0ubuntu5). Then had to bash "sudo aticonfig --force --initial" to get xorg.conf set up and then reboot. All working as good as gold now.

Just a little Linux speed bump, nothing overly disastrous.

I am very impressed with this support process, thank you.

Salih EMIN (salih-emin) wrote :

After trying many possible ways to solve my problem I finally found a way of making my ATI Radeon HD 4xxx series to work on my Dell Studio 1557 with Ubuntu 10.04.1 x64bit and also "silence" the fan that was loud and annoying:

1) I had the most resent updates available, installed
2) Downloaded the 2.6.34 mainline kernel from http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.34-lucid/
3) Installed them, reboot.
4) Downloaded the official ATI driver from the official website
5) Run in terminal " sudo ./ati-driver-installer-10-9-x86.x86_64.run "
6) Choose "Build for detected OS Ubuntu/lucid"
7) Installed the generated packages except fglrx-dev*.deb
8) Run in the same terminal "sudo aticonfig --initial"
9) Reboot. Everything is OK, Compiz working, fan is silent... and I am happy..

My system :
lspci | grep ATI
   02:00.0 VGA compatible controller: ATI Technologies Inc M92 [Mobility Radeon HD 4500 Series]
   02:00.1 Audio device: ATI Technologies Inc RV710/730

Release :
 Ubuntu 10.04.1 (lucid)
 amd64

Kernel :
 2.6.34-020634-generic #020634 SMP

k-m (k-m) wrote :
Download full text (3.6 KiB)

I think my issue is related to the previous ones in this thread. 1st to begin with I have an ATI HD Radeon 5000 series and i'm running 10.04 AMD_64. After installing ubuntu I used Jockey (Ubuntu Control Center > Hardware Drivers) to update my graphics card. but I got an error message:

Code:
package fglrx 2:8.721-0ubuntu8 failed to install/upgrade: fglrx kernel module failed to build
Couple of days afterwards, an update was released, and the package is now fglrx 2:8.723.1-0ubuntu5. There was also an update for the kernel 2.6.32.25.27.

Following the instructions from http://ubuntuforums.org/showpost.php?p=9209703&postcount=16 and https://wiki.ubuntu.com/X/Troubleshooting/FglrxInteferesWithRadeonDriver I was able to update the driver and I think its working correctly.

Code:
phynx@phynx-laptop:~$ fglrxinfo
display: :0.0 screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: ATI Mobility Radeon HD 5000 Series
OpenGL version string: 3.2.9756 Compatibility Profile Context

Code:
phynx@phynx-laptop:~$ glxinfo |grep vendor
server glx vendor string: ATI
client glx vendor string: ATI
OpenGL vendor string: ATI Technologies Inc.

Code:
phynx@phynx-laptop:~$ lspci -nn | grep Radeon
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc Redwood [Radeon HD 5600 Series] [1002:68c1]
01:00.1 Audio device [0403]: ATI Technologies Inc Redwood HDMI Audio [Radeon HD 5600 Series] [1002:aa60]

Code:
Section "ServerLayout"
 Identifier "aticonfig Layout"
 Screen 0 "aticonfig-Screen[0]-0" 0 0
EndSection

Section "Files"
EndSection

Section "Module"
 Load "glx"
EndSection

Section "Monitor"
 Identifier "aticonfig-Monitor[0]-0"
 Option "VendorName" "ATI Proprietary Driver"
 Option "ModelName" "Generic Autodetecting Monitor"
 Option "DPMS" "true"
EndSection

Section "Device"
 Identifier "aticonfig-Device[0]-0"
 Driver "fglrx"
 BusID "PCI:1:0:0"
EndSection

Section "Screen"
 Identifier "aticonfig-Screen[0]-0"
 Device "aticonfig-Device[0]-0"
 Monitor "aticonfig-Monitor[0]-0"
 DefaultDepth 24
 SubSection "Display"
  Viewport 0 0
  Depth 24
 EndSubSection
EndSection

Now here are my issues.
1- The video is very laggy with compiz and videos. I used Google Earth to sometimes determine if the driver is not working very well. There are evidents cuts in the reendering of the images, when I use compiz show desktop, there is an evident lag, and the effects are visibly not working as they supposed to be. Unfortunately this issue is very hard to document, and not sure how to.

2- I decided to update to a newer driver using the X UPDATES PPA that has fglrx-installer 2:8.780-0ubuntu1. The problem with that update is that, after reboot, I only have a black screen. When I go to recovery, and go to ACCC with sudo rights it acts like fglrx and amdccle are not there.

Code:
$ sudo aticonfig --initial
Found fglrx primary device section
 Unable to find any supported Screen sections

I tried also what post #116 did, by upgrading the exact same kernel, and I tried to reinstall the fglrx packages, with that new kernel, I only get a black screen, with a loud fan noise, I also tried with the new kernel, w...

Read more...

Agronskey Hooper (redxsage) wrote :

This seems to still be an issue for me... Perhaps there is something that, being an absolute newb, I am thoroughly overlooking. For that I sincerely apologize, but I would like just a bit of assistance if possible.

After several attempts neither Synaptic Package Manager nor Update Manager will complete either an Installation or Removal of whichever version of fglrx is currently on my system. So I'm hoping there is a way to take care of this from the command line.

According to Synaptic Package Manager the latest version of fglrx is '2:8.723.1-0ubuntu5 (lucid-updates)'. What should I type into Terminal to either Force or Fix the installation of that specific version of fglrx? Alternatively, how do I revert to whatever my most recent driver configuration that worked may have been (from about mid-July) instead?

I'm thinking it might be something along the lines of 'sudo apt-get -f install [package name]' to accomplish the feat. Can anyone advise me as to whether it should be a full package I acquire in this manner, or individual components of it instead? Any help would be very much appreciated.

What makes this so extra special super happy fun time is the fact that I can neither install or uninstall anything else because some script somewhere on my system is still trying to install the original 'new' fglrx that keeps failing. So this one update has destroyed my ability to update anything else at all. Even when it is marked to be left 'as is' within Synaptic Package Manager, the first thing that happens when I click Apply is that I get the now overly familiar error message that reads cryptically, 'E: /var/cache/apt/archives/fglrx_2%3a8.723.1-0ubuntu5_i386.deb: subprocess new pre-installation script returned error exit status 1' ... Joy.

I don't intend to give up on Ubuntu, but at this point it seems I may have to finally give up on AMD/ATi in favor of Intel/nVidia. That really would make for a sad day in terms of my personal sense of independence. Before I go out and buy new hardware though, I may instead simply reinstall Ubuntu from scratch, but I'd like to avoid that as well, assuming it is not absolutely necessary. Thanks, everyone!

k-m (k-m) wrote :

Follow up to my previous comment #117, I've attached the logs from my failsafe boot. I hope it helps.

Agronskey Hooper (redxsage) wrote :

I made a copy of the 'ati' folder that I found at /usr/share/ati and placed it in my own 'Documents' folder. Then I renamed the original folder:
 sudo mv ati ati_old
Then the system allowed me to complete the installation of the current fglrx driver. I'll reboot and see what happens. Wish me luck!

k-m (k-m) wrote :

More development of my issue, for background info see comment117 and full logs in 119

recap: used fglrx 2:8.723.1-0ubuntu5, driver configured, but laggy, decided to update to X Updates PPA to version 2:8.780-0ubuntu1, ran updates, tried to run

phynx@phynx-laptop:~$ sudo aticonfig --force --initial
X Error of failed request: BadRequest (invalid request code or no such operation)
  Major opcode of failed request: 140 (ATIFGLEXTENSION)
  Minor opcode of failed request: 49 ()
  Serial number of failed request: 15
  Current serial number in output stream: 15
[1]+ Done gnome-system-log

stevenwr38 (stevenkykid) wrote :

Agronskey Hooper not nessesary for reinstall

sudo purge fglrx**
do not reboot after this continue to follow the steps on post 14 then
sudo aticonfig --initial
  if that fails sudo aticonfig --force --initial (this step was not needed for me last night)

reboot computer
update useing update manager
reboot computer

Update manager will update the driver to 2:8.78

X-swat driver failed to install for me last night as well so i sent an email to the x-swat team to let them know about the X error

k-m (k-m) wrote :

@stevenwr38. I know your comments wasn't for me. I tried what u said, purged
the fglrx debs, and unistalled, followed #14, absolutely no errors,
installed the debs, and did sudo aticonfig --initial, rebooted, computer
came up, checked again cache folder empty, then ran the updates, updates
install successfully, reboot, computer gets stuck at black screen and loud
fan. Rebooted in failsafe, used ppa-purge, got rid of the .78 purged the
files, cleaned cache both manually, and with ubuntu tweak, then with
bleachbit, reconfigured the .73, works ok, but just laggy, glxgears got me
at only 4k frames per seconds.. then tried it all over again, #14, installed
the debs, sudo aticonfig --initial, reboot, readded x-swat repo, ran
upgrade, files install successfully, ran aticonfig --initial, failed, ran
ati-config --force --initial failed as well.

hynx@phynx-laptop:~$ sudo aticonfig --force --initial
X Error of failed request: BadRequest (invalid request code or no such
operation)
  Major opcode of failed request: 140 (ATIFGLEXTENSION)
  Minor opcode of failed request: 49 ()
  Serial number of failed request: 15
  Current serial number in output stream: 15

k-m (k-m) wrote :

@stevenwr38. I know your comments wasn't for me. I tried what u said, purged the fglrx debs, and unistalled, followed #14, absolutely no errors, installed the debs, and did sudo aticonfig --initial, rebooted, computer came up, checked again cache folder empty, then ran the updates, updates install successfully, reboot, computer gets stuck at black screen and loud fan. Rebooted in failsafe, used ppa-purge, got rid of the .78 purged the files, cleaned cache both manually, and with ubuntu tweak, then with bleachbit, reconfigured the .73, works ok, but just laggy, glxgears got me at only 4k frames per seconds.. then tried it all over again, #14, installed the debs, sudo aticonfig --initial, reboot, readded x-swat repo, ran upgrade, files install successfully, ran aticonfig --initial, failed, ran ati-config --force --initial failed as well.

k-m (k-m) wrote :

phynx@phynx-laptop:~$ sudo aticonfig --force --initial
X Error of failed request: BadRequest (invalid request code or no such operation)
  Major opcode of failed request: 140 (ATIFGLEXTENSION)
  Minor opcode of failed request: 49 ()
  Serial number of failed request: 15
  Current serial number in output stream: 15

stevenwr38 (stevenkykid) wrote :

x-swat driver is not ready to be used for the ati card at this time. find a point that works and stick with it for now..
Ive got x-swat disabled for now.

Your mobility ati could be another issue that the Ubuntu team need to deal with if the 2:8.723.1-0ubuntu4 driver is working and glx gears is showing 4k much better then what i was getting i was showing 350fps after the 8.723 with no issues then after the 8.78 driver update it went 10-15kfps every 5 seconds.but that could be the dirrence in the computers with mobility and full scale card.

if your hitting a brick wall after the 8.78 update leave it at the 8.723 for now till they get the issue resolved..

I didnt hit the black screen till i updated to the x-swat driver and i had to fix it by doing everything rescue dropped to root prompt with networking. that was a pain but at least i got it straight. One thing to attempt still is purge the repo drivers then install the x-swat to see if it works post 14 will not update after this error is developed infact your lucky to get anything to work till the purge is done.
If you get any dependacy issues then
sudo apt-get install
after the dendancy notice is given and it will backtrace to whats needed and install it from what ive seen once already.
Also if your useing kdm and kde4.5 32bit your gonna have problems im not sure what OP SYS youre useing if your on lucid ubuntu then there again could be the diffrence of Mobility and Standard gpu

Any of the dev team checked the 2:8.78 -0ubuntu5 driver on a mobility gpu yet?
Im not a developer but i do like troubleshooting and see what works i just dont have a mobility laptop to test with mines an intell :-/ machine

SRU verification for Jaunty:
I have reproduced the problem with fglrx-installer 2:8.600-0ubuntu2 in jaunty and have verified that the version of fglrx-installer 2:8.600-0ubuntu3 in -proposed fixes the issue.

Marking as verification-done

tags: removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer - 2:8.600-0ubuntu3

---------------
fglrx-installer (2:8.600-0ubuntu3) jaunty-proposed; urgency=low

  * Add compat_alloc_cve-2010-3081.patch:
    - Work around the lack of compat_alloc_user_space() in asm/compat.h
      after the fix for CVE-2010-3081 (LP: #642518). Thanks to Evan Broder
      and Stefan Bader for the patch.
 -- Alberto Milone <email address hidden> Tue, 21 Sep 2010 13:23:33 +0200

Changed in fglrx-installer (Ubuntu Jaunty):
status: Fix Committed → Fix Released

For users of Catalyst 10.9, there is now a hotfix release at http://support.amd.com/us/kbarticles/Pages/GPU83ATICatalystLinuxHotfix.aspx.

Bohdan Melekh (bmelekh) wrote :

My computer OS is 64-bit Ubuntu 10.04

There were problems with ATI card...

After fglrx update my ATI card works OK!

Previously I have corrected code correspondingly to instructions,
ATI card was working OK but without visual effects, and also every time
during computer rebooting,
I was selecting X server restart. There was also problem with view of video
from my webcam in Skype.

But after fglrx renovation using Update Manager, all works OK.

Many thanks,

Bohdan

fatih yucesoy (fyucesoy) wrote :
Download full text (4.7 KiB)

Yes My computer the same SW.

now visual effects and another effects is ok.
Now perfect performance.

Thanks

Fatih

On Tue, 2010-09-28 at 20:59 +0000, Bohdan Melekh wrote:

> My computer OS is 64-bit Ubuntu 10.04
>
> There were problems with ATI card...
>
> After fglrx update my ATI card works OK!
>
> Previously I have corrected code correspondingly to instructions,
> ATI card was working OK but without visual effects, and also every time
> during computer rebooting,
> I was selecting X server restart. There was also problem with view of video
> from my webcam in Skype.
>
> But after fglrx renovation using Update Manager, all works OK.
>
> Many thanks,
>
> Bohdan
>
> --
> [MASTER] package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade: Kernel fix for CVE-2010-3081 breaks fglrx
> https://bugs.launchpad.net/bugs/642518
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (643096).
>
> Status in “fglrx-installer” package in Ubuntu: Fix Released
> Status in “linux-restricted-modules-2.6.24” package in Ubuntu: Invalid
> Status in “linux-restricted-modules-envy-2.6.24” package in Ubuntu: Invalid
> Status in “fglrx-installer” source package in Lucid: Fix Released
> Status in “linux-restricted-modules-2.6.24” source package in Lucid: Invalid
> Status in “linux-restricted-modules-envy-2.6.24” source package in Lucid: Invalid
> Status in “fglrx-installer” source package in Hardy: Invalid
> Status in “linux-restricted-modules-2.6.24” source package in Hardy: Fix Released
> Status in “linux-restricted-modules-envy-2.6.24” source package in Hardy: Fix Released
> Status in “fglrx-installer” source package in Jaunty: Fix Released
> Status in “linux-restricted-modules-2.6.24” source package in Jaunty: Invalid
> Status in “linux-restricted-modules-envy-2.6.24” source package in Jaunty: Invalid
> Status in “fglrx-installer” source package in Karmic: Fix Released
> Status in “linux-restricted-modules-2.6.24” source package in Karmic: Invalid
> Status in “linux-restricted-modules-envy-2.6.24” source package in Karmic: Invalid
>
> Bug description:
> SRU Justification:
>
> Impact: Due to kernel changes for CVE-2010-3081 a function that was an inline before has changed to a GPL only function. The fglrx driver cannot link against this and fails to compile. In fglrx only the old inlines (which have been renamed) may be used but those would lack the additional checks.
>
> Fix: Add code to detect whether the fglrx driver is compiled against a kernel which has this change and use the old inlines in this case. Add the additional checks from the CVE to the driver wrapper, so the hardening is done in any case.
>
> Testcase: Compile of 64bit fglrx driver fails with an error without this change.
>
> ---
>
> will not compile for this version of the linux kernal
>
> ProblemType: Package
> DistroRelease: Ubuntu 10.04
> Package: fglrx 2:8.723.1-0ubuntu4
> ProcVersionSignature: Ubuntu 2.6.32-24.43-generic 2.6.32.15+drm33.5
> Uname: Linux 2.6.32-24-generic x86_64
> NonfreeKernelModules: wl
> Architecture: amd64
> Date: Sat Sep 18 23:31:16 2010
> DkmsStatus:
> fglrx, 8.723.1: added
> bcmwl, 5.60.48.36+bdcom, 2.6.32-2...

Read more...

yayhotline (emreyilmazsoy) wrote :
Download full text (8.9 KiB)

Hi,

It's ok. No problem.

Thank you for your help.

Emre

2010/9/29 fatih yucesoy <email address hidden>

> Yes My computer the same SW.
>
> now visual effects and another effects is ok.
> Now perfect performance.
>
> Thanks
>
> Fatih
>
>
> On Tue, 2010-09-28 at 20:59 +0000, Bohdan Melekh wrote:
>
> > My computer OS is 64-bit Ubuntu 10.04
> >
> > There were problems with ATI card...
> >
> > After fglrx update my ATI card works OK!
> >
> > Previously I have corrected code correspondingly to instructions,
> > ATI card was working OK but without visual effects, and also every time
> > during computer rebooting,
> > I was selecting X server restart. There was also problem with view of
> video
> > from my webcam in Skype.
> >
> > But after fglrx renovation using Update Manager, all works OK.
> >
> > Many thanks,
> >
> > Bohdan
> >
> > --
> > [MASTER] package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade:
> Kernel fix for CVE-2010-3081 breaks fglrx
> > https://bugs.launchpad.net/bugs/642518
> > You received this bug notification because you are a direct subscriber
> > of a duplicate bug (643096).
> >
> > Status in “fglrx-installer” package in Ubuntu: Fix Released
> > Status in “linux-restricted-modules-2.6.24” package in Ubuntu: Invalid
> > Status in “linux-restricted-modules-envy-2.6.24” package in Ubuntu:
> Invalid
> > Status in “fglrx-installer” source package in Lucid: Fix Released
> > Status in “linux-restricted-modules-2.6.24” source package in Lucid:
> Invalid
> > Status in “linux-restricted-modules-envy-2.6.24” source package in Lucid:
> Invalid
> > Status in “fglrx-installer” source package in Hardy: Invalid
> > Status in “linux-restricted-modules-2.6.24” source package in Hardy: Fix
> Released
> > Status in “linux-restricted-modules-envy-2.6.24” source package in Hardy:
> Fix Released
> > Status in “fglrx-installer” source package in Jaunty: Fix Released
> > Status in “linux-restricted-modules-2.6.24” source package in Jaunty:
> Invalid
> > Status in “linux-restricted-modules-envy-2.6.24” source package in
> Jaunty: Invalid
> > Status in “fglrx-installer” source package in Karmic: Fix Released
> > Status in “linux-restricted-modules-2.6.24” source package in Karmic:
> Invalid
> > Status in “linux-restricted-modules-envy-2.6.24” source package in
> Karmic: Invalid
> >
> > Bug description:
> > SRU Justification:
> >
> > Impact: Due to kernel changes for CVE-2010-3081 a function that was an
> inline before has changed to a GPL only function. The fglrx driver cannot
> link against this and fails to compile. In fglrx only the old inlines (which
> have been renamed) may be used but those would lack the additional checks.
> >
> > Fix: Add code to detect whether the fglrx driver is compiled against a
> kernel which has this change and use the old inlines in this case. Add the
> additional checks from the CVE to the driver wrapper, so the hardening is
> done in any case.
> >
> > Testcase: Compile of 64bit fglrx driver fails with an error without this
> change.
> >
> > ---
> >
> > will not compile for this version of the linux kernal
> >
> > ProblemType: Package
> > DistroRelease: Ubuntu 10.04
> > Package: fglrx 2:8.723.1-0ubuntu4
> > P...

Read more...

jtuchscherer (jtuchscherer) wrote :

@Felix
The hotfix for the 10.9 driver from ati's website works flawlessly as well. Thanks for sharing the link.

Nantho (nantho-rey) wrote :
Download full text (4.1 KiB)

ATI's hotfix does also work for me either!

Thank you very much everyone, it helped a lot!

2010/9/29 jtuchscherer <email address hidden>

> @Felix
> The hotfix for the 10.9 driver from ati's website works flawlessly as well.
> Thanks for sharing the link.
>
> --
> [MASTER] package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade: Kernel
> fix for CVE-2010-3081 breaks fglrx
> https://bugs.launchpad.net/bugs/642518
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (617521).
>
> Status in “fglrx-installer” package in Ubuntu: Fix Released
> Status in “linux-restricted-modules-2.6.24” package in Ubuntu: Invalid
> Status in “linux-restricted-modules-envy-2.6.24” package in Ubuntu: Invalid
> Status in “fglrx-installer” source package in Lucid: Fix Released
> Status in “linux-restricted-modules-2.6.24” source package in Lucid:
> Invalid
> Status in “linux-restricted-modules-envy-2.6.24” source package in Lucid:
> Invalid
> Status in “fglrx-installer” source package in Hardy: Invalid
> Status in “linux-restricted-modules-2.6.24” source package in Hardy: Fix
> Released
> Status in “linux-restricted-modules-envy-2.6.24” source package in Hardy:
> Fix Released
> Status in “fglrx-installer” source package in Jaunty: Fix Released
> Status in “linux-restricted-modules-2.6.24” source package in Jaunty:
> Invalid
> Status in “linux-restricted-modules-envy-2.6.24” source package in Jaunty:
> Invalid
> Status in “fglrx-installer” source package in Karmic: Fix Released
> Status in “linux-restricted-modules-2.6.24” source package in Karmic:
> Invalid
> Status in “linux-restricted-modules-envy-2.6.24” source package in Karmic:
> Invalid
>
> Bug description:
> SRU Justification:
>
> Impact: Due to kernel changes for CVE-2010-3081 a function that was an
> inline before has changed to a GPL only function. The fglrx driver cannot
> link against this and fails to compile. In fglrx only the old inlines (which
> have been renamed) may be used but those would lack the additional checks.
>
> Fix: Add code to detect whether the fglrx driver is compiled against a
> kernel which has this change and use the old inlines in this case. Add the
> additional checks from the CVE to the driver wrapper, so the hardening is
> done in any case.
>
> Testcase: Compile of 64bit fglrx driver fails with an error without this
> change.
>
> ---
>
> will not compile for this version of the linux kernal
>
> ProblemType: Package
> DistroRelease: Ubuntu 10.04
> Package: fglrx 2:8.723.1-0ubuntu4
> ProcVersionSignature: Ubuntu 2.6.32-24.43-generic 2.6.32.15+drm33.5
> Uname: Linux 2.6.32-24-generic x86_64
> NonfreeKernelModules: wl
> Architecture: amd64
> Date: Sat Sep 18 23:31:16 2010
> DkmsStatus:
> fglrx, 8.723.1: added
> bcmwl, 5.60.48.36+bdcom, 2.6.32-24-generic, x86_64: installed
> vboxnetflt, 3.2.8, 2.6.32-24-generic, x86_64: installed
> vboxnetadp, 3.2.8, 2.6.32-24-generic, x86_64: installed
> vboxdrv, 3.2.8, 2.6.32-24-generic, x86_64: installed
> ErrorMessage: fglrx kernel module failed to build
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
> MachineType: Dell Inc. Studio 1558
> PackageVersion: 2:8.723.1...

Read more...

The Ati's hotfix worked for me too, but I had to generate and use the packages for Ubuntu/lucid too. With the generated packages I run ati-driver-installer-8.771.2-x86.x86_64.run and installed it normally. After the installation finished I installed the generated packages in the following order:
fglrx
fglrx-dev
fglrx-amdcccle
fglrx-modaliases
The last step was running the "aticonfig --initial" command.
This way worked for me, installing the ati-driver-installer-8.771.2-x86.x86_64.run without the packages haven't worked for me.
Nevertheless, the first time I rebooted the system, the login screen was not shown. I used the RESET BUTTON and the problem got "solved".

kamiccolo (kamicc) wrote :

Still can't make my

01:00.0 VGA compatible controller: ATI Technologies Inc Mobility
Radeon HD 3400 Series
01:00.1 Audio device: ATI Technologies Inc RV620 Audio device [Radeon
HD 34xx Series]

working properly with ubuntu 10.04 :(

Hotfix screws everything for my Toshiba A300-20N.

On 9/28/10, Felix Kuehling <email address hidden> wrote:
> For users of Catalyst 10.9, there is now a hotfix release at
> http://support.amd.com/us/kbarticles/Pages/GPU83ATICatalystLinuxHotfix.aspx.
>
> --
> [MASTER] package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade: Kernel
> fix for CVE-2010-3081 breaks fglrx
> https://bugs.launchpad.net/bugs/642518
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (607252).
>

kamiccolo (kamicc) wrote :

fglrxinfo
X Error of failed request: BadLength (poly request too large or
internal Xlib length error)
  Major opcode of failed request: 141 (ATIFGLEXTENSION)
  Minor opcode of failed request: 65 ()
  Serial number of failed request: 12
  Current serial number in output stream: 12

On 9/28/10, Felix Kuehling <email address hidden> wrote:
> For users of Catalyst 10.9, there is now a hotfix release at
> http://support.amd.com/us/kbarticles/Pages/GPU83ATICatalystLinuxHotfix.aspx.
>
> --
> [MASTER] package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade: Kernel
> fix for CVE-2010-3081 breaks fglrx
> https://bugs.launchpad.net/bugs/642518
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (607252).
>

stevenwr38 (stevenkykid) wrote :

Those of you considering upgrading to the hot new ubuntu Maverick Merkat 10.10 64bit be warned my card is the HD 4650
and this is the error i got trying to use the graphics driver from ati 10.9

Error: ./default_policy.sh does not support version
default:v2:x86_64:lib32::none:2.6.35-22-generic:; make sure that the version is being
correctly set by --iscurrentdistro

This is something im sure ATI has to straighten out
also getting the same error in kubuntu 10.4 32bit

repo driver works good with the 32bit Kubuntu 10.04 nice fps of 40k per 5 seconds.. Cant say much for the 10.10 64bit though looks like its back to the drawing board with this problem i cant stand getting the frame rate from my desktop that i would on my dell 1545 on windows playing wow.

all i can really say is Kubuntu 10.04 32bit here i come and gonna stick it out for a while at least i can say its stable and works well. I may consider trying the 10.10 Kubuntu 32bit on a diffrent partition but upgrade for now out of the question for me.

luh3417 (raen) wrote :

I had the same problem with Kubuntu Lucid on my AMD64 machine after upgrade to kernel 2.6.32-25-generic. I installed the hotfix package and found that I then also had to run aticonfig --initial -f to get xorg.conf sorted and after reboot everything was fine

Ramon (eyedoll) wrote :
Download full text (4.5 KiB)

I know this is old but thank you for all your help.

=^.^=

> Date: Wed, 22 Sep 2010 22:43:02 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: [Bug 642518] Re: [MASTER] package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade: Kernel fix for CVE-2010-3081 breaks fglrx
>
> fyi i will add to my #78 above, that a fresh wubi 10.04.1 install, followed by enabling restricted drivers to allow fglrx, does successfully install 2:8.723.1-0ubuntu5 against kernel 2.6.32-24.39 and i have a working system again.
> i'm wary about upgrading kernel yet, as i need a working system for the next couple of weeks.
>
> --
> [MASTER] package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade: Kernel fix for CVE-2010-3081 breaks fglrx
> https://bugs.launchpad.net/bugs/642518
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (644937).
>
> Status in “fglrx-installer” package in Ubuntu: Triaged
> Status in “linux-restricted-modules-2.6.24” package in Ubuntu: Invalid
> Status in “linux-restricted-modules-envy-2.6.24” package in Ubuntu: Invalid
> Status in “fglrx-installer” source package in Lucid: Fix Released
> Status in “linux-restricted-modules-2.6.24” source package in Lucid: Invalid
> Status in “linux-restricted-modules-envy-2.6.24” source package in Lucid: Invalid
> Status in “fglrx-installer” source package in Hardy: Invalid
> Status in “linux-restricted-modules-2.6.24” source package in Hardy: Fix Committed
> Status in “linux-restricted-modules-envy-2.6.24” source package in Hardy: Fix Committed
> Status in “fglrx-installer” source package in Jaunty: Fix Committed
> Status in “linux-restricted-modules-2.6.24” source package in Jaunty: Invalid
> Status in “linux-restricted-modules-envy-2.6.24” source package in Jaunty: Invalid
> Status in “fglrx-installer” source package in Karmic: Fix Committed
> Status in “linux-restricted-modules-2.6.24” source package in Karmic: Invalid
> Status in “linux-restricted-modules-envy-2.6.24” source package in Karmic: Invalid
>
> Bug description:
> SRU Justification:
>
> Impact: Due to kernel changes for CVE-2010-3081 a function that was an inline before has changed to a GPL only function. The fglrx driver cannot link against this and fails to compile. In fglrx only the old inlines (which have been renamed) may be used but those would lack the additional checks.
>
> Fix: Add code to detect whether the fglrx driver is compiled against a kernel which has this change and use the old inlines in this case. Add the additional checks from the CVE to the driver wrapper, so the hardening is done in any case.
>
> Testcase: Compile of 64bit fglrx driver fails with an error without this change.
>
> ---
>
> will not compile for this version of the linux kernal
>
> ProblemType: Package
> DistroRelease: Ubuntu 10.04
> Package: fglrx 2:8.723.1-0ubuntu4
> ProcVersionSignature: Ubuntu 2.6.32-24.43-generic 2.6.32.15+drm33.5
> Uname: Linux 2.6.32-24-generic x86_64
> NonfreeKernelModules: wl
> Architecture: amd64
> Date: Sat Sep 18 23:31:16 2010
> DkmsStatus:
> fglrx, 8.723.1: added
> bcmwl, 5.60.48.36+bdcom, 2.6.32-24-generic, x86_64: installed
> vboxnetfl...

Read more...

Hicks (hicks1gb) wrote :

El 19/10/10 13:51, luh3417 escribió:
> I had the same problem with Kubuntu Lucid on my AMD64 machine after
> upgrade to kernel 2.6.32-25-generic. I installed the hotfix package and
> found that I then also had to run aticonfig --initial -f to get
> xorg.conf sorted and after reboot everything was fine
>
Hi all. The problem still alive updating Ubuntu 10.10 >> 11.04 32 bits.
Regards

Hicks (hicks1gb) wrote :

Hi again. I have updated Ubuntu Maverick 32 bits to Natty, and the problem still alive. Can you check it?
Regards.

This is my /var/log/jockey.log

On 12/10/2010 11:01 AM, Hicks wrote:
> Hi again. I have updated Ubuntu Maverick 32 bits to Natty, and the problem
> still alive. Can you check it? Regards.
>
From the things that are in the jockey log it feels like this is not something
which this bug report was about (which was the dkms module did not compile). The
only thing seen in the log is that jockey does not find the module, which could
be anything from the compile failure to the dkms source being removed. Have you
tried to disable and re-enable the driver in jockey? Generally it would be
better to open a new bug. It still can be linked back to this one, if it is
really the same issue, but it give a clean space for gathering information.

Andit (dit-37f1n0m4n) wrote :

so difficult to fix this...give a simple fix...
fglrx failed to install after update via update manager...and then cause blank screen...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers